Pacman-dev
Threads by month
- ----- 2024 -----
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2023 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2022 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2021 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2020 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2019 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2018 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2017 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2016 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2015 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2014 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2013 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2012 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2011 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2010 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2009 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2008 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2007 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2006 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2005 -----
- December
- November
- October
November 2009
- 18 participants
- 46 discussions
[pacman-dev] [RFC][PATCH] Introduce Include key globing for pacman.conf
by Marc - A. Dahlhaus 24 Mar '10
by Marc - A. Dahlhaus 24 Mar '10
24 Mar '10
This patch adds the ability to use Include filenames
containing wildcards and also expands the tilde to the
homedirectory of the executing user.
Signed-off-by: Marc-A. Dahlhaus <mad(a)wol.de>
---
diff -Nurp pacman-3.3.0.orig/src/pacman/pacman.c
pacman-3.3.0/src/pacman/pacman.c
--- pacman-3.3.0.orig/src/pacman/pacman.c 2009-08-01 20:07:42.000000000
+0200
+++ pacman-3.3.0/src/pacman/pacman.c 2009-09-10 21:11:03.000000000 +0200
@@ -38,6 +38,7 @@
#include <locale.h> /* setlocale */
#include <time.h> /* time_t */
#include <errno.h>
+#include <glob.h>
#if defined(PACMAN_DEBUG) && defined(HAVE_MCHECK_H)
#include <mcheck.h> /* debug tracing (mtrace) */
#endif
@@ -814,8 +815,23 @@ static int _parseconfig(const char *file
} else {
/* directives with settings */
if(strcmp(key, "Include") == 0) {
- pm_printf(PM_LOG_DEBUG, "config: including %s\n", ptr);
- _parseconfig(ptr, section, db);
+ int globret;
+ glob_t globbuf;
+ globret = glob(ptr, GLOB_TILDE_CHECK, NULL, &globbuf);
+ switch(globret) {
+ case GLOB_NOSPACE:
+ pm_printf(PM_LOG_DEBUG, "config: include globing out of space\n");
+ break;
+ case GLOB_ABORTED:
+ pm_printf(PM_LOG_DEBUG, "config: include globing read error for
%s\n", ptr);
+ break;
+ default:
+ for(int gindex = 0; gindex < globbuf.gl_pathc; gindex++) {
+ pm_printf(PM_LOG_DEBUG, "config: including %s\n",
globbuf.gl_pathv[gindex]);
+ _parseconfig(globbuf.gl_pathv[gindex], section, db);
+ }
+ break;
+ }
/* Ignore include failures... assume non-critical */
} else if(strcmp(section, "options") == 0) {
if(strcmp(key, "NoUpgrade") == 0) {
This patch addes the ability to use Include filenames
containing wildcards and also expands the tilde to the
homedir of the executing user.
Signed-off-by: Marc-A. Dahlhaus <mad(a)wol.de>
---
diff -Nurp pacman-3.3.0.orig/src/pacman/pacman.c pacman-3.3.0/src/pacman/pacman.c
--- pacman-3.3.0.orig/src/pacman/pacman.c 2009-08-01 20:07:42.000000000 +0200
+++ pacman-3.3.0/src/pacman/pacman.c 2009-09-10 21:11:03.000000000 +0200
@@ -38,6 +38,7 @@
#include <locale.h> /* setlocale */
#include <time.h> /* time_t */
#include <errno.h>
+#include <glob.h>
#if defined(PACMAN_DEBUG) && defined(HAVE_MCHECK_H)
#include <mcheck.h> /* debug tracing (mtrace) */
#endif
@@ -814,8 +815,23 @@ static int _parseconfig(const char *file
} else {
/* directives with settings */
if(strcmp(key, "Include") == 0) {
- pm_printf(PM_LOG_DEBUG, "config: including %s\n", ptr);
- _parseconfig(ptr, section, db);
+ int globret;
+ glob_t globbuf;
+ globret = glob(ptr, GLOB_TILDE_CHECK, NULL, &globbuf);
+ switch(globret) {
+ case GLOB_NOSPACE:
+ pm_printf(PM_LOG_DEBUG, "config: include globing out of space\n");
+ break;
+ case GLOB_ABORTED:
+ pm_printf(PM_LOG_DEBUG, "config: include globing read error for %s\n", ptr);
+ break;
+ default:
+ for(int gindex = 0; gindex < globbuf.gl_pathc; gindex++) {
+ pm_printf(PM_LOG_DEBUG, "config: including %s\n", globbuf.gl_pathv[gindex]);
+ _parseconfig(globbuf.gl_pathv[gindex], section, db);
+ }
+ break;
+ }
/* Ignore include failures... assume non-critical */
} else if(strcmp(section, "options") == 0) {
if(strcmp(key, "NoUpgrade") == 0) {
4
15
14 Dec '09
Signed-off-by: Cedric Staniewski <cedric(a)gmx.ca>
---
I'm not sure about that part
pmout=$(run_pacman -T "$@")
for two reasons. First, we have to work around sudo in run_pacman, and
second, most of the pacman wrappers does not support -T or do not return
the same codes as pacman does. For this second reason, the following patch
would be (currently) useless for the majority of pacman wrapper users.
scripts/makepkg.sh.in | 39 +++++++++++++++------------------------
1 files changed, 15 insertions(+), 24 deletions(-)
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index fbcdc70..cfc5736 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -328,10 +328,21 @@ download_file() {
fi
}
+run_pacman() {
+ local ret=0
+ if (( ! ASROOT )) && [[ $1 != -T ]]; then
+ sudo pacman $PACMAN_OPTS "$@" || ret=$?
+ else
+ pacman $PACMAN_OPTS "$@" || ret=$?
+ fi
+ return $ret
+}
+
check_deps() {
[ $# -gt 0 ] || return
- pmout=$(pacman $PACMAN_OPTS -T "$@")
+ local ret=0
+ pmout=$(run_pacman -T "$@")
ret=$?
if [ $ret -eq 127 ]; then #unresolved deps
echo "$pmout"
@@ -356,15 +367,8 @@ handle_deps() {
if [ "$DEP_BIN" -eq 1 ]; then
# install missing deps from binary packages (using pacman -S)
msg "$(gettext "Installing missing dependencies...")"
- local ret=0
-
- if [ "$ASROOT" -eq 0 ]; then
- sudo pacman $PACMAN_OPTS -S --asdeps $deplist || ret=$?
- else
- pacman $PACMAN_OPTS -S --asdeps $deplist || ret=$?
- fi
- if [ $ret -ne 0 ]; then
+ if ! run_pacman -S --asdeps $deplist; then
error "$(gettext "Pacman failed to install missing dependencies.")"
exit 1 # TODO: error code
fi
@@ -422,15 +426,9 @@ remove_deps() {
done
msg "Removing installed dependencies..."
- local ret=0
- if [ "$ASROOT" -eq 0 ]; then
- sudo pacman $PACMAN_OPTS -Rns $deplist || ret=$?
- else
- pacman $PACMAN_OPTS -Rns $deplist || ret=$?
- fi
# Fixes FS#10039 - exit cleanly as package has built successfully
- if [ $ret -ne 0 ]; then
+ if ! run_pacman -Rns $deplist; then
warning "$(gettext "Failed to remove installed dependencies.")"
return 0
fi
@@ -1113,14 +1111,7 @@ install_package() {
fi
done
- local ret=0
- if [ "$ASROOT" -eq 0 ]; then
- sudo pacman $PACMAN_OPTS -U ${pkglist} || ret=$?
- else
- pacman $PACMAN_OPTS -U ${pkglist} || ret=$?
- fi
-
- if [ $ret -ne 0 ]; then
+ if ! run_pacman -U $pkglist; then
warning "$(gettext "Failed to install built package(s).")"
return 0
fi
--
1.6.5.2
4
41
Hi,
This is one part of the makepkg test suite I am working on. It is
fairly a simple class that takes a pacman package filename and does some
parsing. Currently that involves getting the file list and the info
from the .PKGINFO file.
I am still fairly new to python so I am looking for comments on how this
could be improved.
One idea I have had is to not initialize all the fields in the pkginfo
dict and add a test if an array exists before appending. It would make
the code tidier but that would mean the need to test if the field exists
when comparing it later.
---
#!/usr/bin/env python3
import os, tarfile
class package:
'''
parse information from a pacman package
member variables:
file (string) - name of package file
file_list (array) - list of files in the package archive
pkginfo (dict) - package information parsed from .PKGINFO
'''
def __init__ (self, file):
self.file = file
if not os.path.exists(file):
raise IOError('{} does not exist'.format(file))
if not tarfile.is_tarfile(file):
raise TypeError('{} is not a tar file'.format(file))
pkg = tarfile.open(file)
self.file_list = pkg.getnames()
if not ".PKGINFO" in self.file_list:
raise TypeError('{} is not a package file'.format(file))
self.__parse_pkginfo(pkg)
pkg.close()
def __parse_pkginfo(self, pkg):
self.pkginfo = {}
self.pkginfo['pkgname'] = ""
self.pkginfo['pkgbase'] = ""
self.pkginfo['pkgver'] = ""
self.pkginfo['pkgdesc'] = ""
self.pkginfo['url'] = ""
self.pkginfo['builddate'] = ""
self.pkginfo['packager'] = ""
self.pkginfo['size'] = ""
self.pkginfo['arch'] = ""
self.pkginfo['force'] = ""
self.pkginfo['license'] = []
self.pkginfo['replaces'] = []
self.pkginfo['group'] = []
self.pkginfo['depend'] = []
self.pkginfo['optdepend'] = []
self.pkginfo['conflict'] = []
self.pkginfo['provides'] = []
self.pkginfo['backup'] = []
self.pkginfo['makepkgopt'] = []
arrays = ['license', 'replaces', 'group', 'depend', 'optdepend',
'conflict', 'provides', 'backup', 'makepkgopt']
pkginfo = pkg.extractfile(".PKGINFO")
for line in pkginfo:
if (line[0] == '#'.encode('utf-8')[0]):
continue
(key, value) = line.decode('utf-8').split(" = ")
if key in arrays:
self.pkginfo[key].append(value.strip())
else:
self.pkginfo[key] = value.strip()
pkginfo.close()
if __name__ == '__main__':
pkg = package('/var/cache/pacman/pkg/pacman-3.3.1-1-i686.pkg.tar.gz')
print('Package file: \n\t{}\n'.format(pkg.file))
print('Package info: \n\t{}\n'.format(pkg.pkginfo))
print('File list: \n\t{}\n'.format(pkg.file_list))
---
Example output:
> python3 package.py
Package file:
/var/cache/pacman/pkg/pacman-3.3.1-1-i686.pkg.tar.gz
Package info:
{'license': ['GPL'], 'backup': ['etc/pacman.conf',
'etc/makepkg.conf'], 'replaces': [], 'pkgname': 'pacman', 'builddate':
'1253674558', 'pkgdesc': 'A library-based package manager with
dependency support', 'makepkgopt': ['strip', '!docs', '!libtool',
'emptydirs', 'zipman', 'purge'], 'url':
'http://www.archlinux.org/pacman/', 'optdepend': ['fakeroot: for makepkg
usage as normal user', 'python: for rankmirrors script usage'],
'depend': ['bash', 'libarchive>=2.7.0-2', 'libfetch>=2.20',
'pacman-mirrorlist'], 'group': ['base'], 'pkgbase': '', 'provides': [],
'force': '', 'packager': 'Dan McGee <dan(a)archlinux.org>', 'size':
'2093056', 'arch': 'i686', 'conflict': [], 'pkgver': '3.3.1-1'}
File list:
['.PKGINFO', '.INSTALL', 'etc', 'etc/makepkg.conf',
'etc/pacman.conf', 'etc/bash_completion.d',
'etc/bash_completion.d/pacman', 'usr', 'usr/include', 'usr/share',
'usr/bin', 'usr/lib', 'usr/lib/libalpm.so.4',
'usr/lib/libalpm.so.4.0.1', 'usr/lib/libalpm.so', 'usr/lib/libalpm.a', ....
5
13
Signed-off-by: Xavier Chantry <shiningxc(a)gmail.com>
---
src/pacman/sync.c | 24 ++++++++++++++++++++++--
1 files changed, 22 insertions(+), 2 deletions(-)
diff --git a/src/pacman/sync.c b/src/pacman/sync.c
index 4f101f9..896d028 100644
--- a/src/pacman/sync.c
+++ b/src/pacman/sync.c
@@ -274,6 +274,21 @@ static int sync_synctree(int level, alpm_list_t *syncs)
return(success > 0);
}
+static void print_installed(pmpkg_t *pkg)
+{
+ const char *pkgname = alpm_pkg_get_name(pkg);
+ const char *pkgver = alpm_pkg_get_version(pkg);
+ pmpkg_t *lpkg = alpm_db_get_pkg(db_local, pkgname);
+ if(lpkg) {
+ const char *lpkgver = alpm_pkg_get_version(lpkg);
+ if(strcmp(lpkgver,pkgver) == 0) {
+ printf(" [%s]", _("installed"));
+ } else {
+ printf(_(" [%s: %s]"), _("installed"), lpkgver);
+ }
+ }
+}
+
/* search the sync dbs for a matching package */
static int sync_search(alpm_list_t *syncs, alpm_list_t *targets)
{
@@ -330,6 +345,8 @@ static int sync_search(alpm_list_t *syncs, alpm_list_t *targets)
printf(")");
}
+ print_installed(pkg);
+
/* we need a newline and initial indent first */
printf("\n ");
indentprint(alpm_pkg_get_desc(pkg), 4);
@@ -514,9 +531,12 @@ static int sync_list(alpm_list_t *syncs, alpm_list_t *targets)
for(j = alpm_db_get_pkgcache(db); j; j = alpm_list_next(j)) {
pmpkg_t *pkg = alpm_list_getdata(j);
+
if (!config->quiet) {
- printf("%s %s %s\n", alpm_db_get_name(db), alpm_pkg_get_name(pkg),
- alpm_pkg_get_version(pkg));
+ printf("%s %s %s", alpm_db_get_name(db), alpm_pkg_get_name(pkg),
+ alpm_pkg_get_version(pkg));
+ print_installed(pkg);
+ printf("\n");
} else {
printf("%s\n", alpm_pkg_get_name(pkg));
}
--
1.6.4.2
3
6
Here is a quick and lazy bug report so that I do not forget :)
LANG=C sudo pacman -Sy
:: Synchronizing package databases...
error: failed to update testing (library not initialized)
error: failed to update core (library not initialized)
error: failed to update extra (library not initialized)
error: failed to update community-testing (library not initialized)
error: failed to update community (library not initialized)
error: failed to synchronize any databases
The error and the output is quite confusing.
3
3
[pacman-dev] [PATCH] makepkg: check for references to build root in package
by Allan McRae 03 Dec '09
by Allan McRae 03 Dec '09
03 Dec '09
Add a check that the package does not contain references to the
folder it was built in.
Fixes FS#14751
Signed-off-by: Allan McRae <allan(a)archlinux.org>
---
scripts/makepkg.sh.in | 6 ++++++
1 files changed, 6 insertions(+), 0 deletions(-)
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 820d81f..a5b8f87 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -971,6 +971,12 @@ check_package() {
warning "$(gettext "Invalid backup entry : %s")" "$file"
fi
done
+
+ # check for references to the build directory
+ grep -R "${srcdir}" "${pkgdir}" &>/dev/null
+ if [ $? -eq 0 ]; then
+ warning "$(gettext "Package contains reference to %s")" "\$srcdir"
+ fi
}
create_package() {
--
1.6.5.1
5
10
At some point during this year, I was generating delta for each update
that came in.
I don't remember if I posted any results here, so just in case, before
I throw all this stuff away, I will post the filesize I got here :)
Looking quickly at it, it seems a gnome update would see an awesome benefit.
12K abs-2.3.1-1-i686.pkg.tar.gz
4,0K abs-2.3.1-1_to_2.3.2-2-i686.delta
4,0K abs-2.3-1_to_2.3.1-1-i686.delta
12K abs-2.3.2-2-i686.pkg.tar.gz
80K acl-2.2.47-1_to_2.2.47-2-i686.delta
156K acl-2.2.47-2-i686.pkg.tar.gz
20K alacarte-0.11.8-1_to_0.12.1-1-i686.delta
132K alacarte-0.12.1-1-i686.pkg.tar.gz
408K alsa-lib-1.0.19-1_to_1.0.20-1-i686.delta
484K alsa-lib-1.0.20-1-i686.pkg.tar.gz
128K alsa-utils-1.0.19-1_to_1.0.20-1-i686.delta
1,1M alsa-utils-1.0.20-1-i686.pkg.tar.gz
84K alsa-utils-1.0.20-1_to_1.0.20-2-i686.delta
1,1M alsa-utils-1.0.20-2-i686.pkg.tar.gz
32K asciidoc-8.3.4-1_to_8.4.2-1-i686.delta
144K asciidoc-8.4.2-1.pkg.tar.gz
20K asciidoc-8.4.2-1_to_8.4.5-1-i686.delta
148K asciidoc-8.4.5-1.pkg.tar.gz
96K atk-1.24.0-1_to_1.26.0-1-i686.delta
244K atk-1.26.0-1-i686.pkg.tar.gz
256K at-spi-1.24.1-1_to_1.26.0-1-i686.delta
700K at-spi-1.26.0-1-i686.pkg.tar.gz
156K audiofile-0.2.6-3_to_0.2.6-4-i686.delta
156K audiofile-0.2.6-4-i686.pkg.tar.gz
280K automake-1.10.2-1_to_1.11-1-i686.delta
596K automake-1.11-1-i686.pkg.tar.gz
84K avahi-0.6.24-1_to_0.6.24-2-i686.delta
744K avahi-0.6.24-2-i686.pkg.tar.gz
368K avahi-0.6.24-2_to_0.6.25-1-i686.delta
720K avahi-0.6.25-1-i686.pkg.tar.gz
888K banshee-1.4.2-2_to_1.4.3-3-i686.delta
2,7M banshee-1.4.3-3-i686.pkg.tar.gz
852K bash-3.2.048-3_to_4.0.024-1-i686.delta
960K bash-4.0.024-1-i686.pkg.tar.gz
80K bash-completion-1.0-1-i686.pkg.tar.gz
4,0K bash-completion-1.0-1_to_1.0-2-i686.delta
80K bash-completion-1.0-2-i686.pkg.tar.gz
80K bash-completion-20091103-1-i686.pkg.tar.gz
56K bin86-0.16.17-3_to_0.16.17-4-i686.delta
64K bin86-0.16.17-4-i686.pkg.tar.gz
2,0M binutils-2.19.1-1_to_2.19.1-3-i686.delta
3,7M binutils-2.19.1-3-i686.pkg.tar.gz
764K binutils-2.19.1-3_to_2.19.1-4-i686.delta
3,7M binutils-2.19.1-4-i686.pkg.tar.gz
564K bluez-4.30-1_to_4.39-1-i686.delta
656K bluez-4.39-1-i686.pkg.tar.gz
492K boo-0.9.0.3203-2_to_0.9.1.3287-1-i686.delta
572K boo-0.9.1.3287-1-i686.pkg.tar.gz
260K brasero-0.9.1-1_to_0.9.1-2-i686.delta
2,8M brasero-0.9.1-2.pkg.tar.gz
1,9M brasero-0.9.1-2_to_2.26.2-1-i686.delta
3,5M brasero-2.26.2-1-i686.pkg.tar.gz
352K brasero-2.26.2-1_to_2.26.3-1-i686.delta
3,3M brasero-2.26.3-1-i686.pkg.tar.gz
384K brltty-3.10-1_to_3.10-2-i686.delta
1000K brltty-3.10-2-i686.pkg.tar.gz
344K bug-buddy-2.24.2-1_to_2.26.0-1-i686.delta
864K bug-buddy-2.26.0-1-i686.pkg.tar.gz
428K bug-buddy-2.26.0-1_to_2.26.0-2-i686.delta
848K bug-buddy-2.26.0-2-i686.pkg.tar.gz
24K bzip2-1.0.5-3_to_1.0.5-4-i686.delta
92K bzip2-1.0.5-4-i686.pkg.tar.gz
4,0K ca-certificates-java-20081028-1_to_20081028-2-i686.delta
100K ca-certificates-java-20081028-2-i686.pkg.tar.gz
264K cairo-1.8.6-1_to_1.8.8-1-i686.delta
428K cairo-1.8.8-1-i686.pkg.tar.gz
108K cairomm-1.6.4-1_to_1.8.0-1-i686.delta
140K cairomm-1.8.0-1-i686.pkg.tar.gz
288K cdrkit-1.1.9-1_to_1.1.9-2-i686.delta
1,1M cdrkit-1.1.9-2-i686.pkg.tar.gz
260K cheese-2.24.3-1_to_2.26.2-1-i686.delta
2,7M cheese-2.26.2-1-i686.pkg.tar.gz
36K cheese-2.26.2-1_to_2.26.3-1-i686.delta
2,7M cheese-2.26.3-1-i686.pkg.tar.gz
8,0K compositeproto-0.4-1_to_0.4-2-i686.delta
8,0K compositeproto-0.4-2-i686.pkg.tar.gz
76K consolekit-0.3.0-3_to_0.3.0-5-i686.delta
100K consolekit-0.3.0-5-i686.pkg.tar.gz
60K coreutils-7.1-1_to_7.1-2-i686.delta
4,1M coreutils-7.1-2-i686.pkg.tar.gz
1,5M coreutils-7.1-2_to_7.4-1-i686.delta
4,2M coreutils-7.4-1-i686.pkg.tar.gz
72K cpio-2.9-3_to_2.9-5-i686.delta
132K cpio-2.9-5-i686.pkg.tar.gz
8,0K cracklib-2.8.13-1_to_2.8.13-2-i686.delta
440K cracklib-2.8.13-2-i686.pkg.tar.gz
4,0K crda-1.0.1-1_to_1.0.1-2-i686.delta
12K crda-1.0.1-2-i686.pkg.tar.gz
8,0K crda-1.0.1-2_to_1.1.0-1-i686.delta
12K crda-1.1.0-1-i686.pkg.tar.gz
532K cryptsetup-1.0.6-2_to_1.0.6-3-i686.delta
564K cryptsetup-1.0.6-3-i686.pkg.tar.gz
420K curl-7.19.4-1_to_7.19.5-1-i686.delta
536K curl-7.19.5-1-i686.pkg.tar.gz
60K curl-7.19.5-1_to_7.19.5-2-i686.delta
540K curl-7.19.5-2-i686.pkg.tar.gz
8,0K damageproto-1.1.0-1_to_1.1.0-2-i686.delta
8,0K damageproto-1.1.0-2-i686.pkg.tar.gz
32K dash-0.5.5.1-1_to_0.5.5.1-2-i686.delta
76K dash-0.5.5.1-2-i686.pkg.tar.gz
9,1M dasher-4.10.1-1-i686.pkg.tar.gz
372K dasher-4.9.0-1_to_4.10.1-1-i686.delta
3,3M db-4.7.25-2_to_4.7.25.4-1-i686.delta
4,1M db-4.7.25.4-1-i686.pkg.tar.gz
28K dbus-1.2.14-1-i686.pkg.tar.gz
8,0K dbus-1.2.4-1_to_1.2.4.4permissive-1-i686.delta
28K dbus-1.2.4.4permissive-1-i686.pkg.tar.gz
12K dbus-1.2.4.4permissive-1_to_1.2.14-1-i686.delta
348K dbus-core-1.2.14-1-i686.pkg.tar.gz
188K dbus-core-1.2.4-1_to_1.2.4.4permissive-1-i686.delta
344K dbus-core-1.2.4.4permissive-1-i686.pkg.tar.gz
284K dbus-core-1.2.4.4permissive-1_to_1.2.14-1-i686.delta
68K dbus-glib-0.78-1_to_0.80-1-i686.delta
128K dbus-glib-0.80-1-i686.pkg.tar.gz
12K dcron-3.2-3_to_3.2-4-i686.delta
16K dcron-3.2-4-i686.pkg.tar.gz
132K delta.db.tar.gz
132K delta.db.tar.gz.old
272K deskbar-applet-2.24.3-1_to_2.26.2-1-i686.delta
1,3M deskbar-applet-2.26.2-1-i686.pkg.tar.gz
68K devicekit-power-007-1_to_008-1-i686.delta
112K devicekit-power-008-1-i686.pkg.tar.gz
28K device-mapper-1.02.30-1_to_1.02.31-1-i686.delta
128K device-mapper-1.02.31-1-i686.pkg.tar.gz
428K device-mapper-1.02.31-1_to_1.02.32-1-i686.delta
412K device-mapper-1.02.32-1-i686.pkg.tar.gz
176K device-mapper-1.02.32-1_to_1.02.32-2-i686.delta
416K device-mapper-1.02.32-2-i686.pkg.tar.gz
60K dhcpcd-4.0.12-1_to_5.0.2-1-i686.delta
60K dhcpcd-5.0.2-1-i686.pkg.tar.gz
16K dhcpcd-5.0.2-1_to_5.0.4-1-i686.delta
60K dhcpcd-5.0.4-1-i686.pkg.tar.gz
76K dialog-1.1_20080819-1_to_1.1_20080819-2-i686.delta
88K dialog-1.1_20080819-2-i686.pkg.tar.gz
40K dmapi-2.2.10-1-i686.pkg.tar.gz
4,0K dmapi-2.2.9-1_to_2.2.10-1-i686.delta
4,0K dmxproto-2.2.2-1_to_2.2.2-2-i686.delta
8,0K dmxproto-2.2.2-2-i686.pkg.tar.gz
872K dnsutils-9.6.0.P1-1_to_9.6.0.P1-2-i686.delta
2,2M dnsutils-9.6.0.P1-2-i686.pkg.tar.gz
8,0K docbook-xml-4.5-1_to_4.5-2-i686.delta
332K docbook-xml-4.5-2-i686.pkg.tar.gz
4,0K dri2proto-1.99.3-1_to_2.0-1-i686.delta
4,0K dri2proto-2.0-1-i686.pkg.tar.gz
784K e2fsprogs-1.41.4-1_to_1.41.5-2-i686.delta
1,3M e2fsprogs-1.41.5-2-i686.pkg.tar.gz
376K e2fsprogs-1.41.5-2_to_1.41.6-1-i686.delta
1,3M e2fsprogs-1.41.6-1-i686.pkg.tar.gz
20K ed-1.2-1_to_1.3-1-i686.delta
48K ed-1.3-1-i686.pkg.tar.gz
144K eel-2.24.1-1_to_2.26.0-1-i686.delta
304K eel-2.26.0-1-i686.pkg.tar.gz
12K eject-2.1.5-3_to_2.1.5-4-i686.delta
32K eject-2.1.5-4-i686.pkg.tar.gz
2,4M ekiga-3.0.2-1_to_3.2.4-1-i686.delta
10M ekiga-3.2.4-1-i686.pkg.tar.gz
7,1M emacs-22.3-1_to_22.3-2-i686.delta
32M emacs-22.3-2-i686.pkg.tar.gz
688K eog-2.24.3.1-1_to_2.26.2-1-i686.delta
2,0M eog-2.26.2-1-i686.pkg.tar.gz
192K eog-2.26.2-1_to_2.26.3-1-i686.delta
2,0M eog-2.26.3-1-i686.pkg.tar.gz
840K epiphany-2.24.3-1_to_2.26.2-1-i686.delta
5,1M epiphany-2.26.2-1-i686.pkg.tar.gz
376K epiphany-2.26.2-1_to_2.26.3-1-i686.delta
5,1M epiphany-2.26.3-1-i686.pkg.tar.gz
792K evince-2.24.2-2_to_2.26.2-1-i686.delta
1,6M evince-2.26.2-1-i686.pkg.tar.gz
248K evince-2.26.2-1_to_2.26.2-2-i686.delta
1,6M evince-2.26.2-2-i686.pkg.tar.gz
2,2M evolution-data-server-2.24.4.1-1_to_2.26.2-1-i686.delta
4,5M evolution-data-server-2.26.2-1-i686.pkg.tar.gz
1,1M evolution-data-server-2.26.2-1_to_2.26.3-1-i686.delta
4,5M evolution-data-server-2.26.3-1-i686.pkg.tar.gz
220K evolution-exchange-2.24.4-1_to_2.26.2-1-i686.delta
664K evolution-exchange-2.26.2-1-i686.pkg.tar.gz
104K evolution-exchange-2.26.2-1_to_2.26.3-1-i686.delta
676K evolution-exchange-2.26.3-1-i686.pkg.tar.gz
20K evolution-webcal-2.24.0-1_to_2.26.0-1-i686.delta
84K evolution-webcal-2.26.0-1-i686.pkg.tar.gz
24K fakeroot-1.12.1-1_to_1.12.2-1-i686.delta
60K fakeroot-1.12.2-1-i686.pkg.tar.gz
20K fakeroot-1.12.2-1_to_1.12.2-2-i686.delta
60K fakeroot-1.12.2-2-i686.pkg.tar.gz
20K fakeroot-1.12.2-2_to_1.12.4-1-i686.delta
60K fakeroot-1.12.4-1-i686.pkg.tar.gz
84K fam-2.7.0-11_to_2.7.0-12-i686.delta
96K fam-2.7.0-12-i686.pkg.tar.gz
4,0K fam-2.7.0-12_to_2.7.0-14-i686.delta
96K fam-2.7.0-14-i686.pkg.tar.gz
5,0M ffmpeg-0.5-1-i686.pkg.tar.gz
1,4M ffmpeg-20090217-1_to_0.5-1-i686.delta
132K file-5.00-1_to_5.03-2-i686.delta
284K file-5.03-2-i686.pkg.tar.gz
388K file-roller-2.24.3-1_to_2.26.2-1-i686.delta
1,3M file-roller-2.26.2-1-i686.pkg.tar.gz
104K file-roller-2.26.2-1_to_2.26.3-1-i686.delta
1,3M file-roller-2.26.3-1-i686.pkg.tar.gz
4,0K filesystem-2009.01-1_to_2009.01-2-i686.delta
16K filesystem-2009.01-2-i686.pkg.tar.gz
316K findutils-4.4.0-1_to_4.4.1-2-i686.delta
496K findutils-4.4.1-2-i686.pkg.tar.gz
80K findutils-4.4.1-2_to_4.4.2-1-i686.delta
496K findutils-4.4.2-1-i686.pkg.tar.gz
968K firefox-3.0.10-1-i686.pkg.tar.gz
132K firefox-3.0.10-1_to_3.0.11-1-i686.delta
960K firefox-3.0.11-1-i686.pkg.tar.gz
292K firefox-3.0.11-1_to_3.5-1-i686.delta
76K firefox-3.0.7-1_to_3.0.10-1-i686.delta
1012K firefox-3.5-1-i686.pkg.tar.gz
4,0K fixesproto-4.0-2_to_4.0-3-i686.delta
4,0K fixesproto-4.0-3-i686.pkg.tar.gz
176K flex-2.5.35-1_to_2.5.35-3-i686.delta
280K flex-2.5.35-3-i686.pkg.tar.gz
4,0K fontcacheproto-0.1.2-1_to_0.1.2-2-i686.delta
4,0K fontcacheproto-0.1.2-2-i686.pkg.tar.gz
4,0K fontsproto-2.0.2-1_to_2.0.2-2-i686.delta
12K fontsproto-2.0.2-2-i686.pkg.tar.gz
372K freetype2-2.3.8-1_to_2.3.9-2-i686.delta
760K freetype2-2.3.9-2-i686.pkg.tar.gz
108K fribidi-0.10.9-1_to_0.19.2-1-i686.delta
100K fribidi-0.19.2-1-i686.pkg.tar.gz
120K fuse-2.7.4-1_to_2.7.4-3-i686.delta
152K fuse-2.7.4-3-i686.pkg.tar.gz
680K gawk-3.1.6-2_to_3.1.6-3-i686.delta
932K gawk-3.1.6-3-i686.pkg.tar.gz
448K gcalctool-5.24.3-1_to_5.26.2-1-i686.delta
1,7M gcalctool-5.26.2-1-i686.pkg.tar.gz
92K gcalctool-5.26.2-1_to_5.26.3-1-i686.delta
1,7M gcalctool-5.26.3-1-i686.pkg.tar.gz
26M gcc-4.3.3-1_to_4.4.0-2-i686.delta
25M gcc-4.4.0-2-i686.pkg.tar.gz
15M gcc-4.4.0-2_to_4.4.0-3-i686.delta
25M gcc-4.4.0-3-i686.pkg.tar.gz
8,4M gcc-4.4.0-3_to_4.4.0-4-i686.delta
26M gcc-4.4.0-4-i686.pkg.tar.gz
1,8M gcc-libs-4.3.3-1_to_4.4.0-2-i686.delta
1,9M gcc-libs-4.4.0-2-i686.pkg.tar.gz
788K gcc-libs-4.4.0-2_to_4.4.0-3-i686.delta
1,9M gcc-libs-4.4.0-3-i686.pkg.tar.gz
212K gcc-libs-4.4.0-3_to_4.4.0-4-i686.delta
1,9M gcc-libs-4.4.0-4-i686.pkg.tar.gz
444K gconf-2.24.0-2_to_2.26.2-1-i686.delta
1,8M gconf-2.26.2-1-i686.pkg.tar.gz
132K gconf-2.26.2-1_to_2.26.2-2-i686.delta
1,8M gconf-2.26.2-2-i686.pkg.tar.gz
460K gconf-editor-2.24.1-1_to_2.26.0-1-i686.delta
936K gconf-editor-2.26.0-1-i686.pkg.tar.gz
40K gdbm-1.8.3-5_to_1.8.3-6-i686.delta
44K gdbm-1.8.3-6-i686.pkg.tar.gz
4,2M gdm-2.20.10-1-i686.pkg.tar.gz
300K gdm-2.20.9-1_to_2.20.10-1-i686.delta
1,9M gedit-2.24.3-1_to_2.26.2-1-i686.delta
4,9M gedit-2.26.2-1-i686.pkg.tar.gz
404K gedit-2.26.2-1_to_2.26.3-1-i686.delta
5,0M gedit-2.26.3-1-i686.pkg.tar.gz
456K gettext-0.17-2_to_0.17-3-i686.delta
3,5M gettext-0.17-3-i686.pkg.tar.gz
1,1M ghostscript-8.64-3_to_8.64-5-i686.delta
29M ghostscript-8.64-5-i686.pkg.tar.gz
4,5M ghostscript-8.64-5_to_8.64-6-i686.delta
29M ghostscript-8.64-6-i686.pkg.tar.gz
3,2M git-1.6.2-1_to_1.6.3.1-1-i686.delta
6,4M git-1.6.3.1-1-i686.pkg.tar.gz
2,5M git-1.6.3.1-1_to_1.6.3.2-1-i686.delta
6,7M git-1.6.3.2-1-i686.pkg.tar.gz
2,1M git-1.6.3.2-1_to_1.6.3.3-1-i686.delta
6,7M git-1.6.3.3-1-i686.pkg.tar.gz
12K gksu-2.0.0-4_to_2.0.2-1-i686.delta
24K gksu-2.0.2-1-i686.pkg.tar.gz
1,5M glib2-2.18.4-1_to_2.20.2-1-i686.delta
2,4M glib2-2.20.2-1-i686.pkg.tar.gz
648K glib2-2.20.2-1_to_2.20.3-1-i686.delta
2,4M glib2-2.20.3-1-i686.pkg.tar.gz
284K glib2-2.20.3-1_to_2.20.4-1-i686.delta
2,4M glib2-2.20.4-1-i686.pkg.tar.gz
12M glibc-2.10.1-1-i686.pkg.tar.gz
136K glibc-2.10.1-1_to_2.10.1-2-i686.delta
12M glibc-2.10.1-2-i686.pkg.tar.gz
4,3M glibc-2.9-4_to_2.10.1-1-i686.delta
540K glibmm-2.18.1-1_to_2.20.0-1-i686.delta
1,9M glibmm-2.20.0-1-i686.pkg.tar.gz
524K gmp-4.2.4-1.1_to_4.3.1-2-i686.delta
536K gmp-4.3.1-2-i686.pkg.tar.gz
3,7M gnome2-user-docs-2.24.2-1_to_2.26.2-1-i686.delta
28M gnome2-user-docs-2.26.2-1-i686.pkg.tar.gz
1,6M gnome-applets-2.24.3.1-1_to_2.26.1-1-i686.delta
8,6M gnome-applets-2.26.1-1-i686.pkg.tar.gz
484K gnome-applets-2.26.1-1_to_2.26.2-1-i686.delta
8,7M gnome-applets-2.26.2-1-i686.pkg.tar.gz
536K gnome-applets-2.26.2-1_to_2.26.3-1-i686.delta
9,2M gnome-applets-2.26.3-1-i686.pkg.tar.gz
12K gnome-backgrounds-2.24.0-1_to_2.24.1-1-i686.delta
9,4M gnome-backgrounds-2.24.1-1-i686.pkg.tar.gz
792K gnome-control-center-2.24.0.1-4_to_2.26.0-1-i686.delta
2,5M gnome-control-center-2.26.0-1-i686.pkg.tar.gz
256K gnome-desktop-2.24.3-1_to_2.26.2-1-i686.delta
1,1M gnome-desktop-2.26.2-1-i686.pkg.tar.gz
64K gnome-desktop-2.26.2-1_to_2.26.3-1-i686.delta
1,1M gnome-desktop-2.26.3-1-i686.pkg.tar.gz
128K gnome-desktop-sharp-2.24.0-1_to_2.26.0-1-i686.delta
196K gnome-desktop-sharp-2.26.0-1-i686.pkg.tar.gz
28K gnome-doc-utils-0.14.2-1_to_0.16.1-1-i686.delta
360K gnome-doc-utils-0.16.1-1-i686.pkg.tar.gz
6,9M gnome-games-2.24.3-1_to_2.26.2-1-i686.delta
23M gnome-games-2.26.2-1-i686.pkg.tar.gz
1,9M gnome-games-2.26.2-1_to_2.26.3-1-i686.delta
25M gnome-games-2.26.3-1-i686.pkg.tar.gz
140K gnome-games-extra-data-2.24.0-1_to_2.26.0-1-i686.delta
4,0M gnome-games-extra-data-2.26.0-1-i686.pkg.tar.gz
200K gnome-icon-theme-2.24.0-1_to_2.26.0-1-i686.delta
3,6M gnome-icon-theme-2.26.0-1-i686.pkg.tar.gz
1,1M gnome-keyring-2.24.1-1_to_2.26.1-1-i686.delta
1,4M gnome-keyring-2.26.1-1-i686.pkg.tar.gz
736K gnome-keyring-2.26.1-1_to_2.26.3-1-i686.delta
1,4M gnome-keyring-2.26.3-1-i686.pkg.tar.gz
60K gnome-mag-0.15.4-1_to_0.15.6-1-i686.delta
760K gnome-mag-0.15.6-1-i686.pkg.tar.gz
60K gnome-mag-0.15.6-1_to_0.15.7-1-i686.delta
172K gnome-mag-0.15.7-1-i686.pkg.tar.gz
408K gnome-media-2.24.0.1-1_to_2.26.0-1-i686.delta
2,1M gnome-media-2.26.0-1-i686.pkg.tar.gz
48K gnome-menus-2.24.2-1_to_2.26.1-1-i686.delta
240K gnome-menus-2.26.1-1-i686.pkg.tar.gz
64K gnome-menus-2.26.1-1_to_2.26.2-1-i686.delta
240K gnome-menus-2.26.2-1-i686.pkg.tar.gz
120K gnome-netstatus-2.12.2-1_to_2.26.0-1-i686.delta
284K gnome-netstatus-2.26.0-1-i686.pkg.tar.gz
172K gnome-nettool-2.22.1-1_to_2.26.2-1-i686.delta
380K gnome-nettool-2.26.2-1-i686.pkg.tar.gz
788K gnome-panel-2.24.3-1_to_2.26.2-1-i686.delta
3,2M gnome-panel-2.26.2-1-i686.pkg.tar.gz
280K gnome-panel-2.26.2-1_to_2.26.3-1-i686.delta
3,2M gnome-panel-2.26.3-1-i686.pkg.tar.gz
1,8M gnome-power-manager-2.24.4-1_to_2.26.1-2-i686.delta
3,6M gnome-power-manager-2.26.1-2-i686.pkg.tar.gz
180K gnome-power-manager-2.26.1-2_to_2.26.2-1-i686.delta
3,6M gnome-power-manager-2.26.2-1-i686.pkg.tar.gz
164K gnome-python-2.22.3-3_to_2.26.1-1-i686.delta
284K gnome-python-2.26.1-1-i686.pkg.tar.gz
80K gnome-python-desktop-2.24.1-1_to_2.26.0-1-i686.delta
276K gnome-python-desktop-2.26.0-1-i686.pkg.tar.gz
168K gnome-screensaver-2.24.1-2_to_2.26.1-1-i686.delta
1,8M gnome-screensaver-2.26.1-1-i686.pkg.tar.gz
204K gnome-session-2.24.3-1_to_2.26.1-1-i686.delta
504K gnome-session-2.26.1-1-i686.pkg.tar.gz
124K gnome-session-2.26.1-1_to_2.26.2-1-i686.delta
512K gnome-session-2.26.2-1-i686.pkg.tar.gz
296K gnome-settings-daemon-2.24.1-1_to_2.26.1-1-i686.delta
588K gnome-settings-daemon-2.26.1-1-i686.pkg.tar.gz
148K gnome-sharp-2.24.0-1_to_2.24.1-1-i686.delta
220K gnome-sharp-2.24.1-1-i686.pkg.tar.gz
12K gnome-speech-0.4.21-1_to_0.4.25-1-i686.delta
80K gnome-speech-0.4.25-1-i686.pkg.tar.gz
388K gnome-system-monitor-2.24.3-1_to_2.26.1-1-i686.delta
4,2M gnome-system-monitor-2.26.1-1-i686.pkg.tar.gz
128K gnome-system-monitor-2.26.1-1_to_2.26.2-1-i686.delta
2,1M gnome-system-monitor-2.26.2-1-i686.pkg.tar.gz
456K gnome-terminal-2.24.3-1_to_2.26.2-1-i686.delta
2,1M gnome-terminal-2.26.2-1-i686.pkg.tar.gz
64K gnome-terminal-2.26.2-1_to_2.26.2-2-i686.delta
2,1M gnome-terminal-2.26.2-2-i686.pkg.tar.gz
84K gnome-terminal-2.26.2-2_to_2.26.3.1-1-i686.delta
2,1M gnome-terminal-2.26.3.1-1-i686.pkg.tar.gz
164K gnome-themes-2.24.3-1_to_2.26.2-1-i686.delta
1,5M gnome-themes-2.26.2-1-i686.pkg.tar.gz
80K gnome-themes-2.26.2-1_to_2.26.3.1-1-i686.delta
1,5M gnome-themes-2.26.3.1-1-i686.pkg.tar.gz
1,1M gnome-utils-2.24.1-1_to_2.26.0-1-i686.delta
11M gnome-utils-2.26.0-1-i686.pkg.tar.gz
344K gnome-vfs-2.24.0-2_to_2.24.1-2-i686.delta
1,2M gnome-vfs-2.24.1-2-i686.pkg.tar.gz
28K gnome-volume-manager-2.24.0-1_to_2.24.1-1-i686.delta
368K gnome-volume-manager-2.24.1-1-i686.pkg.tar.gz
624K gnupg-1.4.9-1_to_1.4.9-4-i686.delta
1,8M gnupg-1.4.9-4-i686.pkg.tar.gz
1,3M gnupg2-2.0.11-1_to_2.0.12-1-i686.delta
2,5M gnupg2-2.0.12-1-i686.pkg.tar.gz
508K gnutls-2.6.4-1_to_2.6.6-1-i686.delta
1,8M gnutls-2.6.6-1-i686.pkg.tar.gz
1,3M gnutls-2.6.6-1_to_2.8.0-1-i686.delta
1,9M gnutls-2.8.0-1-i686.pkg.tar.gz
516K gnutls-2.8.0-1_to_2.8.1-1-i686.delta
1,9M gnutls-2.8.1-1-i686.pkg.tar.gz
400K gok-2.24.0-1_to_2.26.0-1-i686.delta
1,5M gok-2.26.0-1-i686.pkg.tar.gz
156K gpgme-1.1.7-2_to_1.1.8-1-i686.delta
380K gpgme-1.1.8-1-i686.pkg.tar.gz
72K grep-2.5.4-1_to_2.5.4-2-i686.delta
228K grep-2.5.4-2-i686.pkg.tar.gz
44K grep-2.5.4-2_to_2.5.4-3-i686.delta
228K grep-2.5.4-3-i686.pkg.tar.gz
4,0K gsfonts-8.11-4_to_8.11-5-i686.delta
3,6M gsfonts-8.11-5-i686.pkg.tar.gz
836K gstreamer0.10-0.10.21-2_to_0.10.22-1-i686.delta
2,0M gstreamer0.10-0.10.22-1-i686.pkg.tar.gz
1,4M gstreamer0.10-0.10.22-1_to_0.10.23-1-i686.delta
2,1M gstreamer0.10-0.10.23-1-i686.pkg.tar.gz
884K gstreamer0.10-bad-0.10.10-1-i686.pkg.tar.gz
960K gstreamer0.10-bad-0.10.10-1_to_0.10.12-1-i686.delta
992K gstreamer0.10-bad-0.10.12-1-i686.pkg.tar.gz
516K gstreamer0.10-bad-0.10.9-1_to_0.10.10-1-i686.delta
436K gstreamer0.10-bad-plugins-0.10.10-2-i686.pkg.tar.gz
484K gstreamer0.10-bad-plugins-0.10.10-2_to_0.10.12-1-i686.delta
532K gstreamer0.10-bad-plugins-0.10.12-1-i686.pkg.tar.gz
160K gstreamer0.10-bad-plugins-0.10.9-4_to_0.10.10-2-i686.delta
556K gstreamer0.10-base-0.10.21-1_to_0.10.22-1-i686.delta
1,3M gstreamer0.10-base-0.10.22-1-i686.pkg.tar.gz
912K gstreamer0.10-base-0.10.22-1_to_0.10.23-1-i686.delta
1,4M gstreamer0.10-base-0.10.23-1-i686.pkg.tar.gz
164K gstreamer0.10-base-plugins-0.10.21-1_to_0.10.22-1-i686.delta
236K gstreamer0.10-base-plugins-0.10.22-1-i686.pkg.tar.gz
220K gstreamer0.10-base-plugins-0.10.22-1_to_0.10.23-1-i686.delta
248K gstreamer0.10-base-plugins-0.10.23-1-i686.pkg.tar.gz
1,5M gstreamer0.10-ffmpeg-0.10.6-1_to_0.10.7-1-i686.delta
2,4M gstreamer0.10-ffmpeg-0.10.7-1-i686.pkg.tar.gz
452K gstreamer0.10-good-0.10.11-1_to_0.10.14-1-i686.delta
816K gstreamer0.10-good-0.10.14-1-i686.pkg.tar.gz
832K gstreamer0.10-good-0.10.14-1_to_0.10.15-1-i686.delta
956K gstreamer0.10-good-0.10.15-1-i686.pkg.tar.gz
156K gstreamer0.10-good-plugins-0.10.11-1_to_0.10.14-1-i686.delta
392K gstreamer0.10-good-plugins-0.10.14-1-i686.pkg.tar.gz
332K gstreamer0.10-good-plugins-0.10.14-1_to_0.10.15-1-i686.delta
404K gstreamer0.10-good-plugins-0.10.15-1-i686.pkg.tar.gz
136K gstreamer0.10-good-plugins-0.10.15-1_to_0.10.15-2-i686.delta
408K gstreamer0.10-good-plugins-0.10.15-2-i686.pkg.tar.gz
260K gstreamer0.10-python-0.10.13-2_to_0.10.15-1-i686.delta
332K gstreamer0.10-python-0.10.15-1-i686.pkg.tar.gz
152K gstreamer0.10-ugly-0.10.10-1_to_0.10.11-1-i686.delta
224K gstreamer0.10-ugly-0.10.11-1-i686.pkg.tar.gz
100K gstreamer0.10-ugly-plugins-0.10.10-1_to_0.10.11-2-i686.delta
120K gstreamer0.10-ugly-plugins-0.10.11-2-i686.pkg.tar.gz
1,3M gtk2-2.14.7-1_to_2.14.7-2-i686.delta
8,2M gtk2-2.14.7-2-i686.pkg.tar.gz
3,5M gtk2-2.14.7-2_to_2.16.1-1-i686.delta
8,6M gtk2-2.16.1-1-i686.pkg.tar.gz
2,5M gtk2-2.16.1-1_to_2.16.2-1-i686.delta
8,6M gtk2-2.16.2-1-i686.pkg.tar.gz
968K gtk2-2.16.2-1_to_2.16.4-1-i686.delta
8,6M gtk2-2.16.4-1-i686.pkg.tar.gz
288K gtk-engines-2.16.0-1_to_2.18.2-1-i686.delta
368K gtk-engines-2.18.2-1-i686.pkg.tar.gz
308K gtkglext-1.2.0-1_to_1.2.0-2-i686.delta
384K gtkglext-1.2.0-2-i686.pkg.tar.gz
640K gtkhtml-3.24.4-1_to_3.26.2-1-i686.delta
1,2M gtkhtml-3.26.2-1-i686.pkg.tar.gz
260K gtkhtml-3.26.2-1_to_3.26.3-1-i686.delta
1,2M gtkhtml-3.26.3-1-i686.pkg.tar.gz
3,2M gtkmm-2.14.3-1_to_2.16.0-1-i686.delta
9,7M gtkmm-2.16.0-1-i686.pkg.tar.gz
332K gtksourceview2-2.4.2-1_to_2.6.2-1-i686.delta
820K gtksourceview2-2.6.2-1-i686.pkg.tar.gz
36K gtkspell-2.0.15-1.1-i686.pkg.tar.gz
20K gtkspell-2.0.15-1_to_2.0.15-1.1-i686.delta
56K gtk-vnc-0.3.7-2_to_0.3.8-1-i686.delta
76K gtk-vnc-0.3.8-1-i686.pkg.tar.gz
356K gucharmap-2.24.3-1_to_2.26.2-1-i686.delta
2,5M gucharmap-2.26.2-1-i686.pkg.tar.gz
100K gucharmap-2.26.2-1_to_2.26.3.1-1-i686.delta
2,6M gucharmap-2.26.3.1-1-i686.pkg.tar.gz
740K guile-1.8.6-1_to_1.8.6-2-i686.delta
1,9M guile-1.8.6-2-i686.pkg.tar.gz
1,1M gvfs-1.0.3-2_to_1.2.3-1-i686.delta
1,4M gvfs-1.2.3-1-i686.pkg.tar.gz
48K gzip-1.3.12-4_to_1.3.12-6-i686.delta
68K gzip-1.3.12-6-i686.pkg.tar.gz
272K hal-0.5.11-7_to_0.5.12git20090421.4fc367-2-i686.delta
520K hal-0.5.12git20090421.4fc367-2-i686.pkg.tar.gz
8,0K hal-info-0.20081219-1_to_0.20090414-1-i686.delta
44K hal-info-0.20090414-1-i686.pkg.tar.gz
112K hamster-applet-2.24.3-1_to_2.26.2-1-i686.delta
260K hamster-applet-2.26.2-1-i686.pkg.tar.gz
20K hamster-applet-2.26.2-1_to_2.26.3-1-i686.delta
260K hamster-applet-2.26.3-1-i686.pkg.tar.gz
36K hdparm-9.12-1_to_9.15-1-i686.delta
60K hdparm-9.15-1-i686.pkg.tar.gz
1,8M heimdal-1.2.1-3_to_1.2.1-5-i686.delta
2,6M heimdal-1.2.1-5-i686.pkg.tar.gz
8,0K hicolor-icon-theme-0.10-1_to_0.10-2-i686.delta
8,0K hicolor-icon-theme-0.10-2-i686.pkg.tar.gz
4,0K icon-naming-utils-0.8.7-1_to_0.8.90-1-i686.delta
8,0K icon-naming-utils-0.8.90-1-i686.pkg.tar.gz
3,5M icu-4.0-2_to_4.2-1-i686.delta
8,3M icu-4.2.1-1-i686.pkg.tar.gz
8,3M icu-4.2-1-i686.pkg.tar.gz
1,4M icu-4.2-1_to_4.2.1-1-i686.delta
80K id3-0.78-1_to_0.78-2-i686.delta
76K id3-0.78-2-i686.pkg.tar.gz
20K id3v2-0.1.11-2-i686.pkg.tar.gz
384K imlib2-1.4.2-2_to_1.4.2-3-i686.delta
740K imlib2-1.4.2-3-i686.pkg.tar.gz
196K inetutils-1.6-3_to_1.6-4-i686.delta
324K inetutils-1.6-4-i686.pkg.tar.gz
4,0K initscripts-2009.01-1_to_2009.03-1-i686.delta
36K initscripts-2009.03-1-i686.pkg.tar.gz
8,0K initscripts-2009.03-1_to_2009.03-2-i686.delta
40K initscripts-2009.03-2-i686.pkg.tar.gz
80K ipod-sharp-0.8.1-2_to_0.8.2-1-i686.delta
104K ipod-sharp-0.8.2-1-i686.pkg.tar.gz
628K irssi-0.8.12-4_to_0.8.13-1-i686.delta
1,2M irssi-0.8.13-1-i686.pkg.tar.gz
1,3M iso-codes-2.0-1_to_3.8-1-i686.delta
2,6M iso-codes-3.10.1-1-i686.pkg.tar.gz
2,6M iso-codes-3.8-1-i686.pkg.tar.gz
824K iso-codes-3.8-1_to_3.10.1-1-i686.delta
20K iw-0.9.11-1-i686.pkg.tar.gz
28K iw-0.9.11-1_to_0.9.14-1-i686.delta
28K iw-0.9.14-1-i686.pkg.tar.gz
16K iw-0.9.9-1_to_0.9.11-1-i686.delta
68K iwlwifi-3945-ucode-15.32.2.9-1-i686.pkg.tar.gz
188K jack-audio-connection-kit-0.109.2-2_to_0.116.2-1-i686.delta
368K jack-audio-connection-kit-0.116.2-1-i686.pkg.tar.gz
196K jack-audio-connection-kit-0.116.2-1_to_0.116.2-2-i686.delta
404K jack-audio-connection-kit-0.116.2-2-i686.pkg.tar.gz
308K jasper-1.900.1-2_to_1.900.1-3-i686.delta
356K jasper-1.900.1-3-i686.pkg.tar.gz
204K jfsutils-1.1.13-1_to_1.1.14-1-i686.delta
252K jfsutils-1.1.14-1-i686.pkg.tar.gz
4,0K kbproto-1.0.3-1_to_1.0.3-2-i686.delta
28K kbproto-1.0.3-2-i686.pkg.tar.gz
3,3M kernel26-2.6.28.7-1_to_2.6.28.7-2-i686.delta
28M kernel26-2.6.28.7-2-i686.pkg.tar.gz
24M kernel26-2.6.28.7-2_to_2.6.29.4-1-i686.delta
30M kernel26-2.6.29.4-1-i686.pkg.tar.gz
24M kernel26-2.6.29.4-1_to_2.6.30-3-i686.delta
33M kernel26-2.6.30.1-1-i686.pkg.tar.gz
33M kernel26-2.6.30-3-i686.pkg.tar.gz
3,6M kernel26-2.6.30-3_to_2.6.30-4-i686.delta
33M kernel26-2.6.30-4-i686.pkg.tar.gz
2,5M kernel26-2.6.30-4_to_2.6.30-5-i686.delta
33M kernel26-2.6.30-5-i686.pkg.tar.gz
9,8M kernel26-2.6.30-5_to_2.6.30.1-1-i686.delta
112K kernel26-firmware-2.6.28-1_to_2.6.29-1-i686.delta
400K kernel26-firmware-2.6.29-1-i686.pkg.tar.gz
340K kernel26-firmware-2.6.29-1_to_2.6.30-1-i686.delta
656K kernel26-firmware-2.6.30-1-i686.pkg.tar.gz
76K kernel-headers-2.6.27.6-2_to_2.6.29.3-1-i686.delta
668K kernel-headers-2.6.29.3-1-i686.pkg.tar.gz
548K klibc-1.5.15-1_to_1.5.15-2-i686.delta
2,8M klibc-1.5.15-2-i686.pkg.tar.gz
188K klibc-1.5.15-2_to_1.5.15-3-i686.delta
2,9M klibc-1.5.15-3-i686.pkg.tar.gz
16K klibc-extras-2.5-2_to_2.5-3-i686.delta
12K klibc-extras-2.5-3-i686.pkg.tar.gz
8,0K klibc-extras-2.5-3_to_2.5-4-i686.delta
12K klibc-extras-2.5-4-i686.pkg.tar.gz
44K klibc-kbd-1.15.20080312-10-i686.pkg.tar.gz
40K klibc-kbd-1.15.20080312-8_to_1.15.20080312-9-i686.delta
44K klibc-kbd-1.15.20080312-9-i686.pkg.tar.gz
4,0K klibc-kbd-1.15.20080312-9_to_1.15.20080312-10-i686.delta
40K klibc-module-init-tools-3.5-1_to_3.5-2-i686.delta
36K klibc-module-init-tools-3.5-2-i686.pkg.tar.gz
40K klibc-module-init-tools-3.5-2_to_3.8-1-i686.delta
40K klibc-module-init-tools-3.8-1-i686.pkg.tar.gz
72K klibc-udev-135-2_to_139-1-i686.delta
112K klibc-udev-139-1-i686.pkg.tar.gz
100K klibc-udev-139-1_to_141-2-i686.delta
112K klibc-udev-141-2-i686.pkg.tar.gz
56K klibc-udev-141-2_to_141-3-i686.delta
112K klibc-udev-141-3-i686.pkg.tar.gz
424K lame-3.98.2-1_to_3.98.2-2-i686.delta
488K lame-3.98.2-2-i686.pkg.tar.gz
2,2M lapack-3.2.1-1-i686.pkg.tar.gz
2,4M lapack-3.2-2_to_3.2.1-1-i686.delta
232K lcms-1.17-2_to_1.18-1-i686.delta
280K lcms-1.18-1-i686.pkg.tar.gz
224K lcms-1.18-1_to_1.18-2-i686.delta
284K lcms-1.18-2-i686.pkg.tar.gz
88K less-418-1_to_429-1-i686.delta
96K less-429-1-i686.pkg.tar.gz
300K libarchive-2.6.1-1_to_2.7.0-1-i686.delta
488K libarchive-2.7.0-1-i686.pkg.tar.gz
336K libarchive-2.7.0-1_to_2.7.0-2-i686.delta
492K libarchive-2.7.0-2-i686.pkg.tar.gz
32K libavc1394-0.5.3-1_to_0.5.3-3-i686.delta
40K libavc1394-0.5.3-3-i686.pkg.tar.gz
108K libbeagle-0.3.5.1-1_to_0.3.9-1-i686.delta
120K libbeagle-0.3.9-1-i686.pkg.tar.gz
156K libbonobo-2.24.0-1_to_2.24.1-1-i686.delta
988K libbonobo-2.24.1-1-i686.pkg.tar.gz
160K libbonoboui-2.24.0-1_to_2.24.1-1-i686.delta
556K libbonoboui-2.24.1-1-i686.pkg.tar.gz
64K libcanberra-0.11-2_to_0.12-1-i686.delta
92K libcanberra-0.12-1-i686.pkg.tar.gz
44K libcap-1.10-2_to_2.16-1-i686.delta
40K libcap-2.16-1-i686.pkg.tar.gz
4,0K libcap-2.16-1_to_2.16-2-i686.delta
40K libcap-2.16-2-i686.pkg.tar.gz
4,0K libcap-2.16-2_to_2.16-3-i686.delta
36K libcap-2.16-3-i686.pkg.tar.gz
60K libcddb-1.3.0-3_to_1.3.2-1-i686.delta
80K libcddb-1.3.2-1-i686.pkg.tar.gz
184K libcdio-0.80-3_to_0.81-2-i686.delta
444K libcdio-0.81-2-i686.pkg.tar.gz
188K libcups-1.3.10-2-i686.pkg.tar.gz
172K libcups-1.3.10-2_to_1.3.11-1-i686.delta
192K libcups-1.3.11-1-i686.pkg.tar.gz
80K libcups-1.3.9-3_to_1.3.10-2-i686.delta
16K libdaemon-0.13-1_to_0.13-2-i686.delta
24K libdaemon-0.13-2-i686.pkg.tar.gz
48K libdatrie-0.1.2-1_to_0.2.2-1-i686.delta
40K libdatrie-0.2.2-1-i686.pkg.tar.gz
104K libdc1394-2.0.3-1_to_2.1.0-1-i686.delta
224K libdc1394-2.1.0-1-i686.pkg.tar.gz
796K libdjvu-3.5.21-1_to_3.5.22-1-i686.delta
828K libdjvu-3.5.22-1-i686.pkg.tar.gz
300K libdjvu-3.5.22-1_to_3.5.22-2-i686.delta
828K libdjvu-3.5.22-2-i686.pkg.tar.gz
44K libdownload-1.3-1_to_1.3-3-i686.delta
56K libdownload-1.3-3-i686.pkg.tar.gz
188K libdrm-2.4.11-1-i686.pkg.tar.gz
12K libdrm-2.4.11-1_to_2.4.11-2-i686.delta
188K libdrm-2.4.11-2-i686.pkg.tar.gz
44K libdrm-2.4.5-2_to_2.4.11-1-i686.delta
128K libdv-1.0.0-1_to_1.0.0-2-i686.delta
156K libdv-1.0.0-2-i686.pkg.tar.gz
36K libdvdcss-1.2.10-1.1-i686.pkg.tar.gz
4,0K libdvdcss-1.2.10-1_to_1.2.10-1.1-i686.delta
80K libdvdnav-0.1.10-3_to_4.1.3-1-i686.delta
88K libdvdnav-4.1.3-1-i686.pkg.tar.gz
64K libdvdread-0.9.7-1_to_4.1.3-1-i686.delta
72K libdvdread-4.1.3-1-i686.pkg.tar.gz
144K libepc-0.3.10-1-i686.pkg.tar.gz
64K libepc-0.3.9-1_to_0.3.10-1-i686.delta
16K libfontenc-1.0.4-1_to_1.0.4-2-i686.delta
16K libfontenc-1.0.4-2-i686.pkg.tar.gz
36K libftdi-0.15-1_to_0.15-2-i686.delta
56K libftdi-0.15-2-i686.pkg.tar.gz
8,0K libftdi-0.15-2_to_0.15-3-i686.delta
56K libftdi-0.15-3-i686.pkg.tar.gz
8,0K libgail-gnome-1.20.0-2_to_1.20.1-1-i686.delta
12K libgail-gnome-1.20.1-1-i686.pkg.tar.gz
112K libgcrypt-1.4.3-2_to_1.4.4-1-i686.delta
352K libgcrypt-1.4.4-1-i686.pkg.tar.gz
432K libgcrypt-1.4.4-1_to_1.4.4-2-i686.delta
628K libgcrypt-1.4.4-2-i686.pkg.tar.gz
60K libgdiplus-2.2-1_to_2.4-1-i686.delta
336K libgdiplus-2.4-1-i686.pkg.tar.gz
308K libgdiplus-2.4-1_to_2.4-2-i686.delta
336K libgdiplus-2.4-2-i686.pkg.tar.gz
36K libgksu-2.0.7-1_to_2.0.8-1-i686.delta
56K libgksu-2.0.8-1-i686.pkg.tar.gz
988K libgl-7.3-1_to_7.4.2-2-i686.delta
1,0M libgl-7.4.2-2-i686.pkg.tar.gz
496K libgl-7.4.2-2_to_7.4.4-1-i686.delta
1,0M libgl-7.4.4-1-i686.pkg.tar.gz
24K libglade-2.6.3-1_to_2.6.3-2-i686.delta
124K libglade-2.6.3-2-i686.pkg.tar.gz
40K libglade-2.6.3-2_to_2.6.4-1-i686.delta
128K libglade-2.6.4-1-i686.pkg.tar.gz
160K libgnome-2.24.1-1_to_2.26.0-2-i686.delta
1,4M libgnome-2.26.0-2-i686.pkg.tar.gz
132K libgnomecanvas-2.20.1.1-2_to_2.26.0-1-i686.delta
304K libgnomecanvas-2.26.0-1-i686.pkg.tar.gz
48K libgnomekbd-2.24.0-1_to_2.26.0-1-i686.delta
140K libgnomekbd-2.26.0-1-i686.pkg.tar.gz
80K libgnomeprint-2.18.5-1_to_2.18.6-1-i686.delta
440K libgnomeprint-2.18.6-1-i686.pkg.tar.gz
76K libgnomeprintui-2.18.3-1_to_2.18.4-1-i686.delta
348K libgnomeprintui-2.18.4-1-i686.pkg.tar.gz
264K libgnomeui-2.24.0-1_to_2.24.1-1-i686.delta
1,3M libgnomeui-2.24.1-1-i686.pkg.tar.gz
3,3M libgphoto2-2.4.3-1_to_2.4.5-1-i686.delta
4,0M libgphoto2-2.4.5-1-i686.pkg.tar.gz
2,2M libgphoto2-2.4.5-1_to_2.4.6-1-i686.delta
4,0M libgphoto2-2.4.6-1-i686.pkg.tar.gz
236K libgphoto2-2.4.6-1_to_2.4.6-2-i686.delta
1,7M libgphoto2-2.4.6-2-i686.pkg.tar.gz
476K libgpod-0.6.0-3_to_0.7.0-1-i686.delta
820K libgpod-0.7.0-1-i686.pkg.tar.gz
268K libgpod-0.7.0-1_to_0.7.2-1-i686.delta
828K libgpod-0.7.2-1-i686.pkg.tar.gz
140K libgsf-1.14.11-1_to_1.14.13-1-i686.delta
236K libgsf-1.14.13-1-i686.pkg.tar.gz
84K libgsf-1.14.13-1_to_1.14.14-1-i686.delta
236K libgsf-1.14.14-1-i686.pkg.tar.gz
36K libgtop-2.24.3-1_to_2.26.1-1-i686.delta
160K libgtop-2.26.1-1-i686.pkg.tar.gz
4,3M libgweather-2.24.3-1_to_2.26.1-2-i686.delta
6,6M libgweather-2.26.1-2-i686.pkg.tar.gz
420K libgweather-2.26.1-2_to_2.26.2.1-1-i686.delta
6,6M libgweather-2.26.2.1-1-i686.pkg.tar.gz
76K libid3tag-0.15.1b-2_to_0.15.1b-3-i686.delta
80K libid3tag-0.15.1b-3-i686.pkg.tar.gz
92K libidl2-0.8.11-1_to_0.8.13-1-i686.delta
164K libidl2-0.8.13-1-i686.pkg.tar.gz
132K libidn-1.12-1_to_1.14-1-i686.delta
296K libidn-1.14-1-i686.pkg.tar.gz
144K libidn-1.14-1_to_1.15-1-i686.delta
296K libidn-1.15-1-i686.pkg.tar.gz
48K libiec61883-1.1.0-1_to_1.2.0-1-i686.delta
60K libiec61883-1.2.0-1-i686.pkg.tar.gz
288K libjpeg-6b-6_to_7-1-i686.delta
304K libjpeg-7-1-i686.pkg.tar.gz
344K libmng-1.0.10-1_to_1.0.10-2-i686.delta
368K libmng-1.0.10-2-i686.pkg.tar.gz
400K libmtp-0.2.6.1-1_to_0.3.7-1-i686.delta
400K libmtp-0.3.7-1-i686.pkg.tar.gz
32K libnotify-0.4.5-1.1-i686.pkg.tar.gz
28K libnotify-0.4.5-1_to_0.4.5-1.1-i686.delta
88K libogg-1.1.3-1_to_1.1.3-2-i686.delta
76K libogg-1.1.3-2-i686.pkg.tar.gz
212K liboil-0.3.15-1_to_0.3.16-1-i686.delta
432K liboil-0.3.16-1-i686.pkg.tar.gz
12K libpciaccess-0.10.5-1_to_0.10.6-1-i686.delta
24K libpciaccess-0.10.6-1-i686.pkg.tar.gz
264K libpng-1.2.35-1_to_1.2.36-1-i686.delta
352K libpng-1.2.36-1-i686.pkg.tar.gz
140K libpng-1.2.36-1_to_1.2.37-1-i686.delta
356K libpng-1.2.37-1-i686.pkg.tar.gz
60K libraw1394-1.3.0-2_to_2.0.2-1-i686.delta
72K libraw1394-2.0.2-1-i686.pkg.tar.gz
88K librsvg-2.22.3-1_to_2.26.0-1-i686.delta
160K librsvg-2.26.0-1-i686.pkg.tar.gz
76K libsasl-2.1.22-7_to_2.1.22-8-i686.delta
116K libsasl-2.1.22-8-i686.pkg.tar.gz
28K libsasl-2.1.22-8_to_2.1.23-1-i686.delta
116K libsasl-2.1.23-1-i686.pkg.tar.gz
76K libshout-2.2.2-2_to_2.2.2-3-i686.delta
76K libshout-2.2.2-3-i686.pkg.tar.gz
160K libsidplay-1.36.59-2_to_1.36.59-3-i686.delta
164K libsidplay-1.36.59-3-i686.pkg.tar.gz
428K libsmbios-2.0.2-1_to_2.2.16-1-i686.delta
512K libsmbios-2.2.16-1-i686.pkg.tar.gz
336K libsndfile-1.0.19-1_to_1.0.20-1-i686.delta
428K libsndfile-1.0.20-1-i686.pkg.tar.gz
128K libsndfile-1.0.20-1_to_1.0.20-2-i686.delta
428K libsndfile-1.0.20-2-i686.pkg.tar.gz
152K libsoup-2.25.91-1_to_2.26.2-1-i686.delta
336K libsoup-2.26.2-1-i686.pkg.tar.gz
124K libsoup-2.26.2-1_to_2.26.3-1-i686.delta
336K libsoup-2.26.3-1-i686.pkg.tar.gz
116K libtasn1-1.8-1_to_2.1-1-i686.delta
152K libtasn1-2.1-1-i686.pkg.tar.gz
136K libtasn1-2.1-1_to_2.2-1-i686.delta
152K libtasn1-2.2-1-i686.pkg.tar.gz
256K libthai-0.1.11-1-i686.pkg.tar.gz
220K libthai-0.1.11-1_to_0.1.12-1-i686.delta
208K libthai-0.1.12-1-i686.pkg.tar.gz
316K libthai-0.1.9-1_to_0.1.11-1-i686.delta
356K libtiff-3.8.2-4_to_3.8.2-5-i686.delta
892K libtiff-3.8.2-5-i686.pkg.tar.gz
116K libtool-2.2.6a-1_to_2.2.6a-2-i686.delta
588K libtool-2.2.6a-2-i686.pkg.tar.gz
384K libtorrent-0.12.2-1_to_0.12.2-2-i686.delta
396K libtorrent-0.12.2-2.pkg.tar.gz
44K libusb1-1.0.0-1_to_1.0.1-1-i686.delta
60K libusb1-1.0.1-1-i686.pkg.tar.gz
12K libv4l-0.5.8-1_to_0.5.9-1-i686.delta
60K libv4l-0.5.9-1-i686.pkg.tar.gz
72K libv4l-0.5.9-1_to_0.5.99-1-i686.delta
72K libv4l-0.5.99-1-i686.pkg.tar.gz
124K libvisual-0.4.0-1_to_0.4.0-2-i686.delta
160K libvisual-0.4.0-2-i686.pkg.tar.gz
172K libwnck-2.24.2-1_to_2.26.1-1-i686.delta
488K libwnck-2.26.1-1-i686.pkg.tar.gz
132K libwnck-2.26.1-1_to_2.26.2-1-i686.delta
484K libwnck-2.26.2-1-i686.pkg.tar.gz
2,8M libx11-1.2.1-1-i686.pkg.tar.gz
648K libx11-1.2-1_to_1.2.1-1-i686.delta
628K libxaw-1.0.5-1_to_1.0.6-1-i686.delta
728K libxaw-1.0.6-1-i686.pkg.tar.gz
8,0K libxcomposite-0.4.0-1_to_0.4.0-2-i686.delta
12K libxcomposite-0.4.0-2-i686.pkg.tar.gz
32K libxcursor-1.1.9-1_to_1.1.9-2-i686.delta
48K libxcursor-1.1.9-2-i686.pkg.tar.gz
8,0K libxdamage-1.1.1-1_to_1.1.1-2-i686.delta
8,0K libxdamage-1.1.1-2-i686.pkg.tar.gz
16K libxdmcp-1.0.2-1_to_1.0.2-2-i686.delta
20K libxdmcp-1.0.2-2-i686.pkg.tar.gz
8,0K libxevie-1.0.2-1_to_1.0.2-2-i686.delta
8,0K libxevie-1.0.2-2-i686.pkg.tar.gz
8,0K libxext-1.0.5-1_to_1.0.5-2-i686.delta
108K libxext-1.0.5-2-i686.pkg.tar.gz
16K libxfixes-4.0.3-1_to_4.0.3-2-i686.delta
20K libxfixes-4.0.3-2-i686.pkg.tar.gz
8,0K libxfontcache-1.0.4-1_to_1.0.4-2-i686.delta
12K libxfontcache-1.0.4-2-i686.pkg.tar.gz
4,0K libxinerama-1.0.3-1_to_1.0.3-2-i686.delta
12K libxinerama-1.0.3-2-i686.pkg.tar.gz
24K libxklavier-3.8-1_to_3.9-2-i686.delta
80K libxklavier-3.9-2-i686.pkg.tar.gz
1,4M libxml2-2.7.3-1_to_2.7.3-2-i686.delta
2,4M libxml2-2.7.3-2-i686.pkg.tar.gz
28K libxrender-0.9.4-1_to_0.9.4-2-i686.delta
36K libxrender-0.9.4-2-i686.pkg.tar.gz
8,0K libxres-1.0.3-1_to_1.0.3-2-i686.delta
12K libxres-1.0.3-2-i686.pkg.tar.gz
344K libxt-1.0.5-1_to_1.0.5-2-i686.delta
632K libxt-1.0.5-2-i686.pkg.tar.gz
528K libxt-1.0.5-2_to_1.0.6-1-i686.delta
636K libxt-1.0.6-1-i686.pkg.tar.gz
16K libxtst-1.0.3-1_to_1.0.3-2-i686.delta
24K libxtst-1.0.3-2-i686.pkg.tar.gz
24K libxvmc-1.0.4-1_to_1.0.4-2-i686.delta
24K libxvmc-1.0.4-2-i686.pkg.tar.gz
16K libxxf86dga-1.0.2-1_to_1.0.2-2-i686.delta
24K libxxf86dga-1.0.2-2-i686.pkg.tar.gz
12K libxxf86misc-1.0.1-1_to_1.0.1-2-i686.delta
12K libxxf86misc-1.0.1-2-i686.pkg.tar.gz
4,0K licenses-2.4-1_to_2.5-1-i686.delta
84K licenses-2.5-1-i686.pkg.tar.gz
212K lirc-utils-0.8.3-1_to_0.8.5pre2-1-i686.delta
368K lirc-utils-0.8.5-1-i686.pkg.tar.gz
364K lirc-utils-0.8.5pre2-1-i686.pkg.tar.gz
244K lirc-utils-0.8.5pre2-1_to_0.8.5-1-i686.delta
20K logrotate-3.7.7-3_to_3.7.8-1-i686.delta
28K logrotate-3.7.8-1-i686.pkg.tar.gz
92K lsof-4.81-1_to_4.82-1-i686.delta
96K lsof-4.82-1-i686.pkg.tar.gz
380K lvm2-2.02.44-1_to_2.02.45-1-i686.delta
840K lvm2-2.02.45-1-i686.pkg.tar.gz
836K lvm2-2.02.45-1_to_2.02.47-1-i686.delta
860K lvm2-2.02.47-1-i686.pkg.tar.gz
400K lvm2-2.02.47-1_to_2.02.47-2-i686.delta
864K lvm2-2.02.47-2-i686.pkg.tar.gz
120K lzo2-2.02-3_to_2.03-1-i686.delta
128K lzo2-2.03-1-i686.pkg.tar.gz
140K m4-1.4.12-1_to_1.4.13-1-i686.delta
164K m4-1.4.13-1-i686.pkg.tar.gz
20K mailx-8.1.1-5_to_8.1.1-7-i686.delta
48K mailx-8.1.1-7-i686.pkg.tar.gz
276K make-3.81-3_to_3.81-4-i686.delta
444K make-3.81-4-i686.pkg.tar.gz
264K man-db-2.5.4-2_to_2.5.5-1-i686.delta
708K man-db-2.5.5-1-i686.pkg.tar.gz
260K man-db-2.5.5-1_to_2.5.5-2-i686.delta
708K man-db-2.5.5-2-i686.pkg.tar.gz
1,4M man-pages-3.19-1_to_3.20-2-i686.delta
4,4M man-pages-3.20-2-i686.pkg.tar.gz
836K man-pages-3.20-2_to_3.21-1-i686.delta
4,4M man-pages-3.21-1-i686.pkg.tar.gz
84K mcpp-2.7.2-1_to_2.7.2-2-i686.delta
296K mcpp-2.7.2-2-i686.pkg.tar.gz
88K mdadm-2.6.8-1_to_2.6.8-2-i686.delta
432K mdadm-2.6.8-2-i686.pkg.tar.gz
136K mdadm-2.6.8-2_to_2.6.9-1-i686.delta
432K mdadm-2.6.9-1-i686.pkg.tar.gz
12K mesa-7.3-1_to_7.3-2-i686.delta
728K mesa-7.3-2-i686.pkg.tar.gz
260K mesa-7.3-2_to_7.4.2-1-i686.delta
732K mesa-7.4.2-1-i686.pkg.tar.gz
116K mesa-7.4.2-1_to_7.4.4-1-i686.delta
732K mesa-7.4.4-1-i686.pkg.tar.gz
660K metacity-2.24.0-1_to_2.26.0-2-i686.delta
2,0M metacity-2.26.0-2-i686.pkg.tar.gz
1016K mjpegtools-1.8.0-3_to_1.9.0-1-i686.delta
1,2M mjpegtools-1.9.0-1-i686.pkg.tar.gz
796K mjpegtools-1.9.0-1_to_1.9.0-2-i686.delta
1,2M mjpegtools-1.9.0-2-i686.pkg.tar.gz
4,0K mkinitcpio-0.5.23-1_to_0.5.24-1-i686.delta
20K mkinitcpio-0.5.24-1-i686.pkg.tar.gz
4,0K mkinitcpio-0.5.24-1_to_0.5.25-1-i686.delta
16K mkinitcpio-0.5.25-1-i686.pkg.tar.gz
16K mlocate-0.21.1-1_to_0.22-1-i686.delta
68K mlocate-0.22-1-i686.pkg.tar.gz
320K module-init-tools-3.5-1_to_3.8-1-i686.delta
316K module-init-tools-3.8-1-i686.pkg.tar.gz
21M mono-2.2-1_to_2.4-2-i686.delta
36M mono-2.4-2-i686.pkg.tar.gz
320K mono-addins-0.4-1_to_0.4-2-i686.delta
476K mono-addins-0.4-2-i686.pkg.tar.gz
88K mono-zeroconf-0.8.0-1_to_0.9.0-1-i686.delta
96K mono-zeroconf-0.9.0-1-i686.pkg.tar.gz
592K mousetweaks-2.24.3-1_to_2.26.2-1-i686.delta
988K mousetweaks-2.26.2-1-i686.pkg.tar.gz
40K mousetweaks-2.26.2-1_to_2.26.3-1-i686.delta
988K mousetweaks-2.26.3-1-i686.pkg.tar.gz
4,0K mozilla-common-1.2-1_to_1.3-1-i686.delta
4,0K mozilla-common-1.3-1-i686.pkg.tar.gz
4,0K mozilla-common-1.3-1_to_1.4-1-i686.delta
4,0K mozilla-common-1.4-1-i686.pkg.tar.gz
228K mpfr-2.3.2-2_to_2.4.1-1-i686.delta
384K mpfr-2.4.1-1-i686.pkg.tar.gz
5,0M mplayer-28347-3_to_29188-2-i686.delta
9,3M mplayer-29188-2-i686.pkg.tar.gz
7,4M mplayer-29188-2_to_29318-1-i686.delta
8,5M mplayer-29318-1-i686.pkg.tar.gz
2,6M mplayer-29318-1_to_29411-3-i686.delta
7,9M mplayer-29411-3-i686.pkg.tar.gz
180K musicbrainz-2.1.5-1_to_2.1.5-2-i686.delta
200K musicbrainz-2.1.5-2-i686.pkg.tar.gz
4,0K namcap-2.2-1_to_2.2-2-i686.delta
32K namcap-2.2-2-i686.pkg.tar.gz
44K nano-2.0.9-1_to_2.0.9-2-i686.delta
400K nano-2.0.9-2-i686.pkg.tar.gz
2,5M nautilus-2.24.2-1_to_2.26.3-1-i686.delta
5,5M nautilus-2.26.3-1-i686.pkg.tar.gz
4,0K ndesk-dbus-glib-0.4.1-1_to_0.4.1-2-i686.delta
8,0K ndesk-dbus-glib-0.4.1-2-i686.pkg.tar.gz
108K neon-0.28.3-2_to_0.28.4-1-i686.delta
232K neon-0.28.4-1-i686.pkg.tar.gz
8,0K netcfg-2.1.3-2_to_2.2.0b1-1-i686.delta
16K netcfg-2.2.0b1-1-i686.pkg.tar.gz
4,0K netcfg-2.2.0b1-1_to_2.2.0b2-1-i686.delta
16K netcfg-2.2.0b2-1-i686.pkg.tar.gz
4,0K netcfg-2.2.0b2-1_to_2.2.0b3-1-i686.delta
16K netcfg-2.2.0b3-1-i686.pkg.tar.gz
4,0K netcfg-2.2.0b3-1_to_2.2.1-1-i686.delta
16K netcfg-2.2.1-1-i686.pkg.tar.gz
20K netkit-bsd-finger-0.17-4-i686.pkg.tar.gz
136K net-tools-1.60-13_to_1.60-14-i686.delta
168K net-tools-1.60-14-i686.pkg.tar.gz
4,0K notification-daemon-0.4.0-1_to_0.4.0-2-i686.delta
44K notification-daemon-0.4.0-2-i686.pkg.tar.gz
4,0K notify-sharp-svn-3009-2_to_3032-1-i686.delta
8,0K notify-sharp-svn-3032-1.pkg.tar.gz
56K nouveau-drm-20090303-1_to_20090429-1-i686.delta
148K nouveau-drm-20090429-1-i686.pkg.tar.gz
380K nouveau-drm-20090429-1_to_20090612-2-i686.delta
344K nouveau-drm-20090612-2-i686.pkg.tar.gz
68K nspr-4.7.3-1_to_4.7.4-1-i686.delta
360K nspr-4.7.4-1-i686.pkg.tar.gz
220K nspr-4.7.4-1_to_4.8-1-i686.delta
356K nspr-4.8-1-i686.pkg.tar.gz
796K nss-3.12.2-1_to_3.12.3-1-i686.delta
1,8M nss-3.12.3-1-i686.pkg.tar.gz
104K ntfs-3g-2009.2.1-1_to_2009.4.4-1-i686.delta
360K ntfs-3g-2009.4.4-1-i686.pkg.tar.gz
7,9M opal-3.4.4-3_to_3.6.2-1-i686.delta
8,0M opal-3.6.2-1-i686.pkg.tar.gz
4,5M openjdk6-1.5-0.1_to_1.5_hg20090429-1-i686.delta
70M openjdk6-1.5-2-i686.pkg.tar.gz
13M openjdk6-1.5-2_to_1.5-4-i686.delta
71M openjdk6-1.5-4-i686.pkg.tar.gz
69M openjdk6-1.5_hg20090429-1-i686.pkg.tar.gz
9,9M openjdk6-1.5_hg20090429-1_to_1.5-2-i686.delta
416K openssh-5.1p1-2_to_5.2p1-1-i686.delta
776K openssh-5.2p1-1-i686.pkg.tar.gz
1,2M openssl-0.9.8j-1_to_0.9.8k-2-i686.delta
3,0M openssl-0.9.8k-2-i686.pkg.tar.gz
116K orbit2-2.14.16-1_to_2.14.17-1-i686.delta
360K orbit2-2.14.17-1-i686.pkg.tar.gz
636K orca-2.24.3-1_to_2.26.2-1-i686.delta
2,8M orca-2.26.2-1-i686.pkg.tar.gz
40K orca-2.26.2-1_to_2.26.3-1-i686.delta
2,8M orca-2.26.3-1-i686.pkg.tar.gz
4,0K pacman.conf
544K pacman-git-20090307-1-i686.pkg.tar.gz
532K pacman-git-20090314-1-i686.pkg.tar.gz
532K pacman-git-20090315-1-i686.pkg.tar.gz
544K pacman-git-20090522-1-i686.pkg.tar.gz
544K pacman-git-20090602-1-i686.pkg.tar.gz
544K pacman-git-20090614-1-i686.pkg.tar.gz
4,0K pacman-mirrorlist-20090108-1_to_20090509-1-i686.delta
4,0K pacman-mirrorlist-20090509-1-i686.pkg.tar.gz
4,0K pacman-mirrorlist-20090509-1_to_20090616-1-i686.delta
4,0K pacman-mirrorlist-20090616-1-i686.pkg.tar.gz
88K pam-1.0.3-1_to_1.0.4-1-i686.delta
520K pam-1.0.4-1-i686.pkg.tar.gz
360K pango-1.22.4-1_to_1.24.2-1-i686.delta
656K pango-1.24.2-1-i686.pkg.tar.gz
156K pango-1.24.2-1_to_1.24.4-1-i686.delta
660K pango-1.24.4-1-i686.pkg.tar.gz
236K pangomm-2.14.1-1_to_2.24.0-1-i686.delta
756K pangomm-2.24.0-1-i686.pkg.tar.gz
260K pcre-7.8-1_to_7.9-1-i686.delta
656K pcre-7.9-1-i686.pkg.tar.gz
2,4M pidgin-2.5.4-1_to_2.5.5-1-i686.delta
9,7M pidgin-2.5.5-1-i686.pkg.tar.gz
964K pidgin-2.5.5-1_to_2.5.5-2-i686.delta
9,8M pidgin-2.5.5-2-i686.pkg.tar.gz
2,5M pidgin-2.5.5-2_to_2.5.6-1-i686.delta
9,9M pidgin-2.5.6-1-i686.pkg.tar.gz
1,3M pidgin-2.5.6-1_to_2.5.7-1-i686.delta
9,3M pidgin-2.5.7-1-i686.pkg.tar.gz
4,0K pixman-0.14.0-1_to_0.14.0-2-i686.delta
132K pixman-0.14.0-2-i686.pkg.tar.gz
12K pm-utils-1.2.4-3_to_1.2.5-1-i686.delta
36K pm-utils-1.2.5-1-i686.pkg.tar.gz
24K podsleuth-0.6.3-1_to_0.6.4-1-i686.delta
44K podsleuth-0.6.4-1-i686.pkg.tar.gz
420K policykit-0.9-7_to_0.9-9-i686.delta
456K policykit-0.9-9-i686.pkg.tar.gz
76K policykit-gnome-0.9.2-2_to_0.9.2-4-i686.delta
628K policykit-gnome-0.9.2-4-i686.pkg.tar.gz
880K poppler-0.10.2-1_to_0.10.7-1-i686.delta
952K poppler-0.10.7-1-i686.pkg.tar.gz
468K poppler-0.10.7-1_to_0.10.7-2-i686.delta
948K poppler-0.10.7-2-i686.pkg.tar.gz
76K poppler-glib-0.10.2-1_to_0.10.7-1-i686.delta
120K poppler-glib-0.10.7-1-i686.pkg.tar.gz
12K portmap-6.0-2_to_6.0-3-i686.delta
16K portmap-6.0-3-i686.pkg.tar.gz
8,0K portmap-6.0-3_to_6.0-4-i686.delta
16K portmap-6.0-4-i686.pkg.tar.gz
224K ppp-2.4.4-7_to_2.4.4-8-i686.delta
304K ppp-2.4.4-8-i686.pkg.tar.gz
128K procps-3.2.7-5_to_3.2.8-1-i686.delta
196K procps-3.2.8-1-i686.pkg.tar.gz
60K psmisc-22.6-2_to_22.7-1-i686.delta
80K psmisc-22.7-1-i686.pkg.tar.gz
100K pth-2.0.7-1_to_2.0.7-2-i686.delta
120K pth-2.0.7-2-i686.pkg.tar.gz
2,1M ptlib-2.4.4-1_to_2.6.2-1-i686.delta
2,4M ptlib-2.6.2-1-i686.pkg.tar.gz
28K pycairo-1.8.2-1_to_1.8.4-1-i686.delta
36K pycairo-1.8.4-1-i686.pkg.tar.gz
100K pygobject-2.16.0-1_to_2.16.1-1-i686.delta
456K pygobject-2.16.1-1-i686.pkg.tar.gz
300K pygobject-2.16.1-1_to_2.18.0-1-i686.delta
584K pygobject-2.18.0-1-i686.pkg.tar.gz
716K pygtk-2.14.0-1_to_2.14.1-1-i686.delta
2,4M pygtk-2.14.1-1-i686.pkg.tar.gz
688K pygtk-2.14.1-1_to_2.14.1-4-i686.delta
2,4M pygtk-2.14.1-4-i686.pkg.tar.gz
20K pygtksourceview2-2.4.0-1_to_2.4.0-2-i686.delta
28K pygtksourceview2-2.4.0-2-i686.pkg.tar.gz
12K pygtksourceview2-2.4.0-2_to_2.6.0-1-i686.delta
28K pygtksourceview2-2.6.0-1-i686.pkg.tar.gz
1,4M python-2.6.1-1_to_2.6.2-1-i686.delta
16M python-2.6.2-1-i686.pkg.tar.gz
2,3M python-2.6.2-1_to_2.6.2-2-i686.delta
16M python-2.6.2-2-i686.pkg.tar.gz
180K python-2.6.2-2_to_2.6.2-3-i686.delta
14M python-2.6.2-3-i686.pkg.tar.gz
436K python-gdata-1.2.2-2_to_1.3.1-1-i686.delta
720K python-gdata-1.3.1-1-i686.pkg.tar.gz
20K python-numeric-24.2-3_to_24.2-4-i686.delta
564K python-numeric-24.2-4-i686.pkg.tar.gz
572K python-numpy-1.3.0-1_to_1.3.0-2-i686.delta
2,1M python-numpy-1.3.0-2-i686.pkg.tar.gz
436K qt-4.5.0-1_to_4.5.0-2-i686.delta
22M qt-4.5.0-2-i686.pkg.tar.gz
800K qt-4.5.0-2_to_4.5.0-3-i686.delta
22M qt-4.5.0-3-i686.pkg.tar.gz
276K readline-5.2.013-2_to_6.0.00-1-i686.delta
392K readline-6.0.00-1-i686.pkg.tar.gz
4,0K recordproto-1.13.2-1_to_1.13.2-2-i686.delta
4,0K recordproto-1.13.2-2-i686.pkg.tar.gz
20K renderproto-0.9.3-1_to_0.9.3-2-i686.delta
20K renderproto-0.9.3-2-i686.pkg.tar.gz
308K rhythmbox-0.11.6-4_to_0.11.6-5-i686.delta
5,8M rhythmbox-0.11.6-5-i686.pkg.tar.gz
1,5M rhythmbox-0.11.6-5_to_0.12.1-1-i686.delta
5,0M rhythmbox-0.12.1-1-i686.pkg.tar.gz
1,1M rhythmbox-0.12.1-1_to_0.12.2-1-i686.delta
5,0M rhythmbox-0.12.2-1-i686.pkg.tar.gz
248K rsync-3.0.5-1_to_3.0.6-1-i686.delta
256K rsync-3.0.6-1-i686.pkg.tar.gz
384K rtorrent-0.8.2-2_to_0.8.2-3-i686.delta
344K rtorrent-0.8.2-3.pkg.tar.gz
4,1M ruby-1.8.7_p72-3_to_1.9.1_p129-1-i686.delta
4,7M ruby-1.9.1_p129-1-i686.pkg.tar.gz
200K ruby-1.9.1_p129-1_to_1.9.1_p129-2-i686.delta
4,7M ruby-1.9.1_p129-2-i686.pkg.tar.gz
8,0K run-parts-2.31-1_to_3.1.3-1-i686.delta
12K run-parts-3.1.3-1-i686.pkg.tar.gz
252K screen-4.0.3-6_to_4.0.3-8-i686.delta
540K screen-4.0.3-8-i686.pkg.tar.gz
984K seahorse-2.24.1-1_to_2.26.2-1-i686.delta
2,3M seahorse-2.26.2-1-i686.pkg.tar.gz
280K seahorse-plugins-2.24.1-1_to_2.26.2-1-i686.delta
996K seahorse-plugins-2.26.2-1-i686.pkg.tar.gz
132K sed-4.1.5-3_to_4.2-1-i686.delta
132K sed-4.2.1-1-i686.pkg.tar.gz
144K sed-4.2-1-i686.pkg.tar.gz
84K sed-4.2-1_to_4.2.1-1-i686.delta
468K sg3_utils-1.25-1_to_1.27-1-i686.delta
568K sg3_utils-1.27-1-i686.pkg.tar.gz
448K sg3_utils-1.27-1_to_1.27-2-i686.delta
532K sg3_utils-1.27-2-i686.pkg.tar.gz
892K shadow-4.1.2.1-2_to_4.1.3.1-1-i686.delta
1,1M shadow-4.1.3.1-1-i686.pkg.tar.gz
132K shared-mime-info-0.51-1_to_0.60-1-i686.delta
568K shared-mime-info-0.60-1-i686.pkg.tar.gz
5,9M smbclient-3.3.1-1_to_3.3.1-2-i686.delta
15M smbclient-3.3.1-2-i686.pkg.tar.gz
8,2M smbclient-3.3.1-2_to_3.3.2-1-i686.delta
15M smbclient-3.3.2-1-i686.pkg.tar.gz
9,5M smbclient-3.3.2-1_to_3.3.4-1-i686.delta
15M smbclient-3.3.4-1-i686.pkg.tar.gz
14M smbclient-3.3.4-1_to_3.3.5-2-i686.delta
14M smbclient-3.3.4-1_to_3.3.6-2-i686.delta
15M smbclient-3.3.5-2-i686.pkg.tar.gz
15M smbclient-3.3.6-2-i686.pkg.tar.gz
332K sound-juicer-2.24.0-1_to_2.26.1-1-i686.delta
1,6M sound-juicer-2.26.1-1-i686.pkg.tar.gz
636K speex-1.2rc1-1.1-i686.pkg.tar.gz
576K speex-1.2rc1-1_to_1.2rc1-1.1-i686.delta
364K sqlite3-3.6.11-1_to_3.6.14-1-i686.delta
404K sqlite3-3.6.14.1-1-i686.pkg.tar.gz
136K sqlite3-3.6.14.1-1_to_3.6.14.2-1-i686.delta
404K sqlite3-3.6.14-1-i686.pkg.tar.gz
72K sqlite3-3.6.14-1_to_3.6.14.1-1-i686.delta
404K sqlite3-3.6.14.2-1-i686.pkg.tar.gz
208K sqlite3-3.6.14.2-1_to_3.6.15-2-i686.delta
404K sqlite3-3.6.15-2-i686.pkg.tar.gz
32K startup-notification-0.10-1-i686.pkg.tar.gz
32K startup-notification-0.9-1_to_0.10-1-i686.delta
108K sudo-1.7.0-1_to_1.7.1-1-i686.delta
140K sudo-1.7.1-1-i686.pkg.tar.gz
76K sudo-1.7.1-1_to_1.7.1-2-i686.delta
140K sudo-1.7.1-2-i686.pkg.tar.gz
44K sysfsutils-2.1.0-4_to_2.1.0-5-i686.delta
48K sysfsutils-2.1.0-5-i686.pkg.tar.gz
240K syslog-ng-3.0.1-2_to_3.0.1-4-i686.delta
844K syslog-ng-3.0.1-4-i686.pkg.tar.gz
240K syslog-ng-3.0.1-4_to_3.0.1-5-i686.delta
832K syslog-ng-3.0.1-5-i686.pkg.tar.gz
236K syslog-ng-3.0.1-5_to_3.0.1-6-i686.delta
844K syslog-ng-3.0.1-6-i686.pkg.tar.gz
48K sysvinit-2.86-4_to_2.86-5-i686.delta
80K sysvinit-2.86-5-i686.pkg.tar.gz
68K tcp_wrappers-7.6-10-i686.pkg.tar.gz
40K tcp_wrappers-7.6-8_to_7.6-9-i686.delta
68K tcp_wrappers-7.6-9-i686.pkg.tar.gz
32K tcp_wrappers-7.6-9_to_7.6-10-i686.delta
4,0K tdb-3.3.1-1_to_3.3.2-1-i686.delta
136K tdb-3.3.2-1-i686.pkg.tar.gz
16K tdb-3.3.2-1_to_3.3.4-1-i686.delta
140K tdb-3.3.4-1-i686.pkg.tar.gz
96K tdb-3.3.4-1_to_3.3.5-1-i686.delta
96K tdb-3.3.4-1_to_3.3.6-1-i686.delta
140K tdb-3.3.5-1-i686.pkg.tar.gz
140K tdb-3.3.6-1-i686.pkg.tar.gz
48K tig-0.14.1-1.pkg.tar.gz
36K tig-0.14-1_to_0.14.1-1-i686.delta
1,2M tomboy-0.12.2-1_to_0.14.2-1-i686.delta
7,3M tomboy-0.14.2-1-i686.pkg.tar.gz
1,2M totem-2.24.3-1_to_2.26.2-1-i686.delta
3,5M totem-2.26.2-1-i686.pkg.tar.gz
360K totem-2.26.2-1_to_2.26.3-1-i686.delta
3,2M totem-2.26.3-1-i686.pkg.tar.gz
68K totem-plparser-2.24.3-1_to_2.26.2-1-i686.delta
340K totem-plparser-2.26.2-1-i686.pkg.tar.gz
320K ttf-dejavu-2.28-1_to_2.29-1-i686.delta
4,4M ttf-dejavu-2.29-1-i686.pkg.tar.gz
80K tzdata-2009b-1_to_2009g-1-i686.delta
560K tzdata-2009g-1-i686.pkg.tar.gz
68K tzdata-2009g-1_to_2009i-1-i686.delta
572K tzdata-2009i-1-i686.pkg.tar.gz
36K tzdata-2009i-1_to_2009j-1-i686.delta
572K tzdata-2009j-1-i686.pkg.tar.gz
132K udev-135-1_to_139-1-i686.delta
248K udev-139-1-i686.pkg.tar.gz
112K udev-139-1_to_141-1-i686.delta
248K udev-141-1-i686.pkg.tar.gz
180K udev-141-1_to_141-3-i686.delta
244K udev-141-3-i686.pkg.tar.gz
108K unrar-3.8.5-2_to_3.9.3-1-i686.delta
100K unrar-3.9.3-1-i686.pkg.tar.gz
44K unrar-3.9.3-1_to_3.9.4-1-i686.delta
100K unrar-3.9.4-1-i686.pkg.tar.gz
152K unzip-5.52-4_to_6.0-2-i686.delta
148K unzip-6.0-2-i686.pkg.tar.gz
60K unzip-6.0-2_to_6.0-4-i686.delta
148K unzip-6.0-4-i686.pkg.tar.gz
124K usbutils-0.73-5_to_0.82-1-i686.delta
160K usbutils-0.82-1-i686.pkg.tar.gz
564K util-linux-ng-2.14-1_to_2.14.2-1-i686.delta
2,0M util-linux-ng-2.14.2-1-i686.pkg.tar.gz
448K vi-1.81.6-1-i686.pkg.tar.gz
288K vi-1.81.6-1_to_1.81.6-2-i686.delta
444K vi-1.81.6-2-i686.pkg.tar.gz
536K vi-7.2.65-1_to_1.81.6-1-i686.delta
4,0K videoproto-2.2.2-1_to_2.2.2-2-i686.delta
8,0K videoproto-2.2.2-2-i686.pkg.tar.gz
9,1M vim-7.2.166-1-i686.pkg.tar.gz
684K vim-7.2.166-1_to_7.2.218-1-i686.delta
9,1M vim-7.2.218-1-i686.pkg.tar.gz
9,4M vim-7.2.65-1.1_to_7.2.166-1-i686.delta
456K vinagre-2.24.2-1_to_2.26.2-1-i686.delta
1,3M vinagre-2.26.2-1-i686.pkg.tar.gz
244K vino-2.24.1-1_to_2.26.2-1-i686.delta
436K vino-2.26.2-1-i686.pkg.tar.gz
64K vino-2.26.2-1_to_2.26.2-2-i686.delta
436K vino-2.26.2-2-i686.pkg.tar.gz
232K vte-0.17.4-2_to_0.20.2-1-i686.delta
712K vte-0.20.2-1-i686.pkg.tar.gz
104K vte-0.20.2-1_to_0.20.5-1-i686.delta
708K vte-0.20.5-1-i686.pkg.tar.gz
12K whois-4.7.30-1_to_4.7.33-1-i686.delta
20K whois-4.7.33-1-i686.pkg.tar.gz
16K whois-4.7.33-1_to_4.7.33-2-i686.delta
20K whois-4.7.33-2-i686.pkg.tar.gz
12K whois-4.7.33-2_to_4.7.34-1-i686.delta
20K whois-4.7.34-1-i686.pkg.tar.gz
48K wireless_tools-29-2_to_29-3-i686.delta
96K wireless_tools-29-3-i686.pkg.tar.gz
80K wpa_supplicant-0.6.8-1_to_0.6.9-1-i686.delta
232K wpa_supplicant-0.6.9-1-i686.pkg.tar.gz
204K wpa_supplicant-0.6.9-1_to_0.6.9-2-i686.delta
232K wpa_supplicant-0.6.9-2-i686.pkg.tar.gz
268K x264-20090216-1_to_20090416-1-i686.delta
764K x264-20090416-1-i686.pkg.tar.gz
8,0K xbitmaps-1.0.1-1_to_1.0.1-2-i686.delta
28K xbitmaps-1.0.1-2-i686.pkg.tar.gz
16K xcb-util-0.3.3-1_to_0.3.4-2-i686.delta
64K xcb-util-0.3.4-2-i686.pkg.tar.gz
4,0K xcompmgr-1.1.4-1_to_1.1.4-2-i686.delta
16K xcompmgr-1.1.4-2-i686.pkg.tar.gz
336K xcursor-themes-1.0.1-1_to_1.0.1-2-i686.delta
460K xcursor-themes-1.0.1-2-i686.pkg.tar.gz
216K xdelta3-3.0v-1-i686.pkg.tar.gz
224K xdelta3-3.0v-1_to_3.0v-2-i686.delta
216K xdelta3-3.0v-2-i686.pkg.tar.gz
4,0K xdg-utils-1.0.2-1_to_1.0.2-2-i686.delta
48K xdg-utils-1.0.2-2-i686.pkg.tar.gz
4,0K xf86dgaproto-2.0.3-1_to_2.0.3-2-i686.delta
8,0K xf86dgaproto-2.0.3-2-i686.pkg.tar.gz
20K xf86-input-evdev-2.1.3-1_to_2.2.0-1-i686.delta
24K xf86-input-evdev-2.2.0-1-i686.pkg.tar.gz
12K xf86-input-evdev-2.2.0-1_to_2.2.2-1-i686.delta
24K xf86-input-evdev-2.2.2-1-i686.pkg.tar.gz
4,0K xf86-input-mouse-1.4.0-1_to_1.4.0-2-i686.delta
32K xf86-input-mouse-1.4.0-2-i686.pkg.tar.gz
4,0K xf86miscproto-0.9.2-1_to_0.9.2-2-i686.delta
4,0K xf86miscproto-0.9.2-2-i686.pkg.tar.gz
120K xf86-video-nouveau-0.0.10-0.20090303_to_0.0.10_git20090429-1-i686.delta
160K xf86-video-nouveau-0.0.10_git20090429-1-i686.pkg.tar.gz
168K xf86-video-nouveau-0.0.10_git20090429-1_to_0.0.10_git20090612-1-i686.delta
164K xf86-video-nouveau-0.0.10_git20090612-1-i686.pkg.tar.gz
28K xf86-video-nv-2.1.12-2_to_2.1.13-1-i686.delta
96K xf86-video-nv-2.1.13-1-i686.pkg.tar.gz
88K xf86-video-nv-2.1.13-1_to_2.1.14-1-i686.delta
96K xf86-video-nv-2.1.14-1-i686.pkg.tar.gz
4,0K xf86vidmodeproto-2.2.2-1_to_2.2.2-2-i686.delta
8,0K xf86vidmodeproto-2.2.2-2-i686.pkg.tar.gz
116K xfsprogs-3.0.0-1_to_3.0.1-1-i686.delta
1,3M xfsprogs-3.0.1-1-i686.pkg.tar.gz
104K xine-lib-1.1.16.2-2_to_1.1.16.3-3-i686.delta
3,7M xine-lib-1.1.16.3-3-i686.pkg.tar.gz
4,0K xineramaproto-1.1.2-1_to_1.1.2-2-i686.delta
4,0K xineramaproto-1.1.2-2-i686.pkg.tar.gz
76K xinetd-2.3.14-3_to_2.3.14-5-i686.delta
100K xinetd-2.3.14-5-i686.pkg.tar.gz
384K xine-ui-0.99.5-4_to_0.99.5-5-i686.delta
1,5M xine-ui-0.99.5-5-i686.pkg.tar.gz
136K xkeyboard-config-1.5-1_to_1.6-1-i686.delta
756K xkeyboard-config-1.6-1-i686.pkg.tar.gz
256K xmlrpc-c-1.06.32-1_to_1.06.33-1-i686.delta
324K xmlrpc-c-1.06.33-1-i686.pkg.tar.gz
116K xmlrpc-c-1.06.33-1_to_1.06.35-1-i686.delta
324K xmlrpc-c-1.06.35-1-i686.pkg.tar.gz
168K xorg-apps-7.4-1_to_7.4-2-i686.delta
656K xorg-apps-7.4-2-i686.pkg.tar.gz
84K xorg-fonts-100dpi-1.0.1-1_to_1.0.1-2-i686.delta
13M xorg-fonts-100dpi-1.0.1-2-i686.pkg.tar.gz
4,0K xorg-fonts-alias-1.0.1-1_to_1.0.1-2-i686.delta
4,0K xorg-fonts-alias-1.0.1-2-i686.pkg.tar.gz
4,0K xorg-fonts-encodings-1.0.2-2_to_1.0.2-3-i686.delta
576K xorg-fonts-encodings-1.0.2-3-i686.pkg.tar.gz
20K xorg-fonts-misc-1.0.0-3_to_1.0.0-4-i686.delta
5,9M xorg-fonts-misc-1.0.0-4-i686.pkg.tar.gz
16K xorg-font-utils-7.4-1_to_7.4-2-i686.delta
108K xorg-font-utils-7.4-2-i686.pkg.tar.gz
28K xorg-res-utils-1.0.3-2_to_1.0.3-3-i686.delta
60K xorg-res-utils-1.0.3-3-i686.pkg.tar.gz
944K xorg-server-1.6.0-1_to_1.6.1-1-i686.delta
3,9M xorg-server-1.6.1-1-i686.pkg.tar.gz
3,0M xorg-server-1.6.1-1_to_1.6.1.901-1-i686.delta
3,9M xorg-server-1.6.1.901-1-i686.pkg.tar.gz
1,3M xorg-server-1.6.1.901-1_to_1.6.1.901-3-i686.delta
3,9M xorg-server-1.6.1.901-3-i686.pkg.tar.gz
136K xorg-server-utils-7.4-2_to_7.4-6-i686.delta
172K xorg-server-utils-7.4-6-i686.pkg.tar.gz
40K xorg-twm-1.0.4-2_to_1.0.4-3-i686.delta
96K xorg-twm-1.0.4-3-i686.pkg.tar.gz
24K xorg-utils-7.4-2_to_7.4-4-i686.delta
116K xorg-utils-7.4-4-i686.pkg.tar.gz
24K xorg-xkb-utils-7.4-1_to_7.4-2-i686.delta
124K xorg-xkb-utils-7.4-2-i686.pkg.tar.gz
152K xterm-241-1_to_243-2-i686.delta
232K xterm-243-2-i686.pkg.tar.gz
16M xulrunner-1.9.0.10-1-i686.pkg.tar.gz
11M xulrunner-1.9.0.10-1_to_1.9.0.11-1-i686.delta
16M xulrunner-1.9.0.11-1-i686.pkg.tar.gz
11M xulrunner-1.9.0.11-1_to_1.9.1-2-i686.delta
4,6M xulrunner-1.9.0.7-1_to_1.9.0.10-1-i686.delta
18M xulrunner-1.9.1-2-i686.pkg.tar.gz
12K xz-utils-4.999.8beta-3_to_4.999.8beta-4-i686.delta
144K xz-utils-4.999.8beta-4-i686.pkg.tar.gz
156K yelp-2.24.0-2_to_2.26.0-1-i686.delta
864K yelp-2.26.0-1-i686.pkg.tar.gz
96K yelp-2.26.0-1_to_2.26.0-2-i686.delta
872K yelp-2.26.0-2-i686.pkg.tar.gz
72K yelp-2.26.0-2_to_2.26.0-3-i686.delta
836K yelp-2.26.0-3-i686.pkg.tar.gz
4,0K youtube-dl-2009.02.07-1_to_2009.05.13-1-i686.delta
12K youtube-dl-2009.05.13-1.pkg.tar.gz
416K zenity-2.24.1-1_to_2.26.0-1-i686.delta
2,2M zenity-2.26.0-1-i686.pkg.tar.gz
36K zenity-2.26.0-1_to_2.26.0-2-i686.delta
2,2M zenity-2.26.0-2-i686.pkg.tar.gz
256K zip-3.0-1.1-i686.pkg.tar.gz
100K zip-3.0-1_to_3.0-1.1-i686.delta
1,7M zsh-4.3.10-1-i686.pkg.tar.gz
800K zsh-4.3.9-1_to_4.3.10-1-i686.delta
2
2
20 Nov '09
Re: the bug with [[ $( type -p func ) ]] and the funky !
----- Forwarded message from Chet Ramey -----
Date: Thu, 19 Nov 2009 21:56:22 -0500
From: Chet Ramey
To: Isaac Good
Subject: Re: [[ and set -E vs trap ERR
Isaac Good wrote:
> Configuration Information [Automatically generated, do not change]:
> Machine: i686
> OS: linux-gnu
> Compiler: gcc
> Compilation CFLAGS: -DPROGRAM='bash' -DCONF_HOSTTYPE='i686' -DCONF_OSTYPE='linux-gnu' -DCONF_MACHTYPE='i686-pc-linux-gnu' -DCONF_VENDOR='pc' -DLOCALEDIR='/usr/share/locale' - DPACKAGE='bash' -DSHELL -DHAVE_CONFIG_H -I. -I. -I./include -I./lib -march=i686 -mtune=generic -O2 -pipe
> uname output: Linux arch 2.6.31-ARCH #1 SMP PREEMPT Fri Oct 23 11:12:58 CEST 2009 i686 Pentium III (Katmai) GenuineIntel GNU/Linux
> Machine Type: i686-pc-linux-gnu
>
> Bash Version: 4.0
> Patch Level: 35
> Release Status: release
>
> cat <<-EOF >test
> #!/bin/bash -e
> set -E
> trap 'echo >&2 "error"' ERR
>
> echo TEST1
> if [ $(false) ] ; then
> echo 1
> fi
>
> echo TEST2
> if [[ $(false) ]] ; then
> echo 1
> fi
> EOF
>
> Expected output:
> TEST1
> TEST2
>
> Actual output:
> TEST1
> TEST2
> error
>
> The [[ masks the fact that an 'if' is running - but only in regards to the trap. bash does not exit on this error but the trap is triggered.
> [ works fine.
> With set -E, the trap is inherited by command substitution, but the fact that the trap is suppressed is not.
>
> <\amethyst> but the manpage says the ERR trap is avoided under "the same conditions obeyed by the errexit option", so at least the documentation is in error if nothing else
In bash-4.0, the conditional command does not honor the set -e option,
and as a result, doesn't pay attention to set -E either. The [[ and
(( commands will honor set -e in bash-4.1.
Chet
--
``The lyf so short, the craft so long to lerne.'' - Chaucer
``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, ITS, CWRU chet(a)case.edu http://cnswww.cns.cwru.edu/~chet/
----- End forwarded message -----
2
1
20 Nov '09
>From b4c17ea05ec861da20a54bc4f7490b4c28dceb37 Mon Sep 17 00:00:00 2001
From: Isaac Good <pacman(a)isaac.otherinbox.com>
Date: Tue, 17 Nov 2009 14:16:48 -0500
Subject: [PATCH] Replace an ugly while [ with a for (( loop
Signed-off-by: Isaac Good <pacman(a)isaac.otherinbox.com>
---
scripts/makepkg.sh.in | 5 ++---
1 files changed, 2 insertions(+), 3 deletions(-)
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 3d776f0..1d9d8f1 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -514,11 +514,10 @@ generate_checksums() {
local numsrc=${#source[@]}
echo -n "${integ}sums=("
- local i=0;
+ local i
local indent=''
- while [ $i -lt $((${#integ}+6)) ]; do
+ for (( i = 0; i < ${#integ} + 6; i++ )); do
indent="$indent "
- i=$(($i+1))
done
local netfile
--
1.6.5.2
2
1
[pacman-dev] [PATCH] scripts: replace test builtin [ with shell keywords [[ and ((
by Cedric Staniewski 18 Nov '09
by Cedric Staniewski 18 Nov '09
18 Nov '09
FS#16623 suggested this change for makepkg; this patch applies it to the
remaining files in the scripts directory.
Signed-off-by: Cedric Staniewski <cedric(a)gmx.ca>
---
scripts/pacman-optimize.sh.in | 22 ++++++------
scripts/pkgdelta.sh.in | 22 ++++++------
scripts/rankmirrors.sh.in | 12 +++---
scripts/repo-add.sh.in | 74 ++++++++++++++++++++--------------------
4 files changed, 65 insertions(+), 65 deletions(-)
diff --git a/scripts/pacman-optimize.sh.in b/scripts/pacman-optimize.sh.in
index e43e946..d9f1ca2 100644
--- a/scripts/pacman-optimize.sh.in
+++ b/scripts/pacman-optimize.sh.in
@@ -74,23 +74,23 @@ die_r() {
# PROGRAM START
# determine whether we have gettext; make it a no-op if we do not
-if [ ! $(type -t gettext) ]; then
+if ! type gettext &>/dev/null; then
gettext() {
echo "$@"
}
fi
-if [ "$1" = "-h" -o "$1" = "--help" ]; then
+if [[ $1 = "-h" || $1 = "--help" ]]; then
usage
exit 0
fi
-if [ "$1" = "-V" -o "$1" = "--version" ]; then
+if [[ $1 = "-V" || $1 = "--version" ]]; then
version
exit 0
fi
-if [ "$1" != "" ]; then
+if [[ -n $1 ]]; then
dbroot="$1"
fi
@@ -99,11 +99,11 @@ if ! type diff >/dev/null 2>&1; then
die "$(gettext "diff tool was not found, please install diffutils.")"
fi
-if [ ! -d "$dbroot" ]; then
+if [[ ! -d $dbroot ]]; then
die "$(gettext "%s does not exist or is not a directory.")" "$dbroot"
fi
-if [ ! -w "$dbroot" ]; then
+if [[ ! -w $dbroot ]]; then
die "$(gettext "You must have correct permissions to optimize the database.")"
fi
@@ -113,7 +113,7 @@ dbroot="${dbroot%/}"
lockfile="${dbroot}/db.lck"
# make sure pacman isn't running
-if [ -f "$lockfile" ]; then
+if [[ -f $lockfile ]]; then
die "$(gettext "Pacman lock file was found. Cannot run while pacman is running.")"
fi
# do not let pacman run while we do this
@@ -130,7 +130,7 @@ find "$dbroot" -type f | sort | xargs md5sum > "$workdir/pacsums.old"
msg "$(gettext "Tar'ing up %s...")" "$dbroot"
cd "$dbroot"
bsdtar -czf "$workdir/pacman-db.tar.gz" ./
-if [ $? -ne 0 ]; then
+if (( $? )); then
rm -rf "$workdir"
die_r "$(gettext "Tar'ing up %s failed.")" "$dbroot"
fi
@@ -139,7 +139,7 @@ fi
msg "$(gettext "Making and MD5sum'ing the new database...")"
mkdir "$dbroot.new"
bsdtar -xpf "$workdir/pacman-db.tar.gz" -C "$dbroot.new"
-if [ $? -ne 0 ]; then
+if (( $? )); then
rm -rf "$workdir"
die_r "$(gettext "Untar'ing %s failed.")" "$dbroot"
fi
@@ -152,7 +152,7 @@ find "$dbroot.new" -type f | sort | \
# step 4: compare the sums
msg "$(gettext "Checking integrity...")"
diff "$workdir/pacsums.old" "$workdir/pacsums.new" >/dev/null 2>&1
-if [ $? -ne 0 ]; then
+if (( $? )); then
# failed
# leave our pacman-optimize tmpdir for checking to see what doesn't match up
rm -rf "$dbroot.new"
@@ -167,7 +167,7 @@ mv "$dbroot" "$dbroot.old" || fail=1
mv "$dbroot.new" "$dbroot" || fail=1
chmod --reference="$dbroot.old" "$dbroot" || fail=1
chown --reference="$dbroot.old" "$dbroot" || fail=1
-if [ $fail -ne 0 ]; then
+if (( fail )); then
# failure with our directory shuffle
die_r "$(gettext "New database substitution failed. Check for $dbroot,\n$dbroot.old, and $dbroot.new directories.")"
fi
diff --git a/scripts/pkgdelta.sh.in b/scripts/pkgdelta.sh.in
index 588dc49..1550fa1 100644
--- a/scripts/pkgdelta.sh.in
+++ b/scripts/pkgdelta.sh.in
@@ -35,7 +35,7 @@ QUIET=0
umask 0022
msg() {
- [ $QUIET -ne 0 ] && return
+ (( QUIET )) && return
local mesg=$1; shift
printf "==> ${mesg}\n" "$@" >&1
}
@@ -79,7 +79,7 @@ read_pkginfo()
for line in $(bsdtar -xOf "$1" .PKGINFO 2>/dev/null |
grep -v "^#" | sed 's|\(\w*\)\s*=\s*\(.*\)|\1="\2"|'); do
eval "$line"
- if [ -n "$pkgname" -a -n "$pkgver" -a -n "$arch" ]; then
+ if [[ -n $pkgname && -n $pkgver && -n $arch ]]; then
IFS=$OLDIFS
return 0
fi
@@ -108,17 +108,17 @@ create_xdelta()
newver="$pkgver"
newarch="$arch"
- if [ "$oldname" != "$newname" ]; then
+ if [[ $oldname != $newname ]]; then
error "$(gettext "The package names don't match : '%s' and '%s'")" "$oldname" "$newname"
return 1
fi
- if [ "$oldarch" != "$newarch" ]; then
+ if [[ $oldarch != $newarch ]]; then
error "$(gettext "The package architectures don't match : '%s' and '%s'")" "$oldarch" "$newarch"
return 1
fi
- if [ "$oldver" == "$newver" ]; then
+ if [[ $oldver == $newver ]]; then
error "$(gettext "Both packages have the same version : '%s'")" "$newver"
return 1
fi
@@ -128,12 +128,12 @@ create_xdelta()
local ret=0
xdelta3 -q -f -s "$oldfile" "$newfile" "$deltafile" || ret=$?
- if [ $ret -ne 0 ]; then
+ if (( ret )); then
error "$(gettext "Delta could not be created.")"
return 1
else
msg "$(gettext "Generated delta : '%s'")" "$deltafile"
- [ $QUIET -eq 1 ] && echo "$deltafile"
+ (( QUIET )) && echo "$deltafile"
fi
return 0
}
@@ -142,22 +142,22 @@ case "$1" in
-q|--quiet) QUIET=1; shift ;;
esac
-if [ $# -ne 2 ]; then
+if (( $# != 2 )); then
usage
exit 0
fi
-if [ ! -f "$1" ]; then
+if [[ ! -f $1 ]]; then
error "$(gettext "File '%s' does not exist")" "$1"
exit 0
fi
-if [ ! -f "$2" ]; then
+if [[ ! -f $2 ]]; then
error "$(gettext "File '%s' does not exist")" "$2"
exit 0
fi
-if [ ! "$(type -p xdelta3)" ]; then
+if ! type xdelta3 &>/dev/null; then
error "$(gettext "Cannot find the xdelta3 binary! Is xdelta3 installed?")"
exit 1
fi
diff --git a/scripts/rankmirrors.sh.in b/scripts/rankmirrors.sh.in
index 015b39a..d5cbadd 100644
--- a/scripts/rankmirrors.sh.in
+++ b/scripts/rankmirrors.sh.in
@@ -56,8 +56,8 @@ err() {
# returns the fetching time, or timeout, or unreachable
gettime() {
IFS=' ' output=( $(curl -s -m 10 -w "%{time_total} %{http_code}" "$1" -o/dev/null) )
- [[ $? = 28 ]] && echo timeout && return
- [[ ${output[1]} -ge 400 || ${output[1]} -eq 0 ]] && echo unreachable && return
+ (( $? == 28 )) && echo timeout && return
+ (( ${output[1]} >= 400 || ! ${output[1]} )) && echo unreachable && return
echo "${output[0]}"
}
@@ -96,13 +96,13 @@ finaloutput() {
for line in "${sortedarray[@]}"; do
echo "${line#* } : ${line% *}"
((numiterator++))
- [[ $NUM -ne 0 && $numiterator -ge $NUM ]] && break
+ (( NUM && numiterator >= NUM )) && break
done
else
for line in "${sortedarray[@]}"; do
echo "Server = ${line#* }"
((numiterator++))
- [[ $NUM -ne 0 && $numiterator -ge $NUM ]] && break
+ (( NUM && numiterator >= NUM )) && break
done
fi
exit 0
@@ -112,7 +112,7 @@ finaloutput() {
# Argument parsing
[[ $1 ]] || usage
while [[ $1 ]]; do
- if [[ "${1:0:2}" = -- ]]; then
+ if [[ ${1:0:2} = -- ]]; then
case "${1:2}" in
help) usage ;;
version) version ;;
@@ -142,7 +142,7 @@ while [[ $1 ]]; do
done
shift $snum
fi
- elif [[ -f "$1" ]]; then
+ elif [[ -f $1 ]]; then
FILE="1"
IFS=$'\n' linearray=( $(<$1) )
[[ $linearray ]] || err "File is empty."
diff --git a/scripts/repo-add.sh.in b/scripts/repo-add.sh.in
index 3f00441..0e46c37 100644
--- a/scripts/repo-add.sh.in
+++ b/scripts/repo-add.sh.in
@@ -42,7 +42,7 @@ msg() {
}
msg2() {
- [ $QUIET -ne 0 ] && return
+ (( QUIET )) && return
local mesg=$1; shift
printf " -> ${mesg}\n" "$@" >&1
}
@@ -90,7 +90,7 @@ There is NO WARRANTY, to the extent permitted by law.\n")"
# arg2 - List
# arg3 - File to write to
write_list_entry() {
- if [ -n "$2" ]; then
+ if [[ -n $2 ]]; then
echo "%$1%" >>$3
echo -e $2 >>$3
fi
@@ -102,7 +102,7 @@ find_pkgentry()
local pkgentry
for pkgentry in $tmpdir/$pkgname*; do
name=${pkgentry##*/}
- if [ "${name%-*-*}" = "$pkgname" ]; then
+ if [[ ${name%-*-*} = $pkgname ]]; then
echo $pkgentry
return 0
fi
@@ -126,12 +126,12 @@ db_write_delta()
pkgname="$(get_delta_pkgname $deltafile)"
pkgentry=$(find_pkgentry $pkgname)
- if [ -z "$pkgentry" ]; then
+ if [[ -z $pkgentry ]]; then
return 1
fi
deltas="$pkgentry/deltas"
# create deltas file if it does not already exist
- if [ ! -f "$deltas" ]; then
+ if [[ ! -f $deltas ]]; then
msg2 "$(gettext "Creating 'deltas' db entry...")"
echo -e "%DELTAS%" >>$deltas
fi
@@ -162,11 +162,11 @@ db_remove_delta()
pkgname="$(get_delta_pkgname $deltafile)"
pkgentry=$(find_pkgentry $pkgname)
- if [ -z "$pkgentry" ]; then
+ if [[ -z $pkgentry ]]; then
return 1
fi
deltas="$pkgentry/deltas"
- if [ ! -f "$deltas" ]; then
+ if [[ ! -f $deltas ]]; then
return 1
fi
if grep -q "$filename" $deltas; then
@@ -219,14 +219,14 @@ db_write_entry()
csize=$(@SIZECMD@ "$pkgfile")
# ensure $pkgname and $pkgver variables were found
- if [ -z "$pkgname" -o -z "$pkgver" ]; then
+ if [[ -z $pkgname || -z $pkgver ]]; then
error "$(gettext "Invalid package file '%s'.")" "$pkgfile"
return 1
fi
cd "$tmpdir"
- if [ -d "$pkgname-$pkgver" ]; then
+ if [[ -d $pkgname-$pkgver ]]; then
warning "$(gettext "An entry for '%s' already existed")" "$pkgname-$pkgver"
fi
@@ -238,30 +238,30 @@ db_write_entry()
cd "$pkgname-$pkgver"
# restore an eventual deltas file
- [ -f "../$pkgname.deltas" ] && mv "../$pkgname.deltas" deltas
+ [[ -f ../$pkgname.deltas ]] && mv "../$pkgname.deltas" deltas
# create desc entry
msg2 "$(gettext "Creating 'desc' db entry...")"
echo -e "%FILENAME%\n$(basename "$1")\n" >>desc
echo -e "%NAME%\n$pkgname\n" >>desc
- [ -n "$pkgbase" ] && echo -e "%BASE%\n$pkgbase\n" >>desc
+ [[ -n $pkgbase ]] && echo -e "%BASE%\n$pkgbase\n" >>desc
echo -e "%VERSION%\n$pkgver\n" >>desc
- [ -n "$pkgdesc" ] && echo -e "%DESC%\n$pkgdesc\n" >>desc
+ [[ -n $pkgdesc ]] && echo -e "%DESC%\n$pkgdesc\n" >>desc
write_list_entry "GROUPS" "$_groups" "desc"
- [ -n "$csize" ] && echo -e "%CSIZE%\n$csize\n" >>desc
- [ -n "$size" ] && echo -e "%ISIZE%\n$size\n" >>desc
+ [[ -n $csize ]] && echo -e "%CSIZE%\n$csize\n" >>desc
+ [[ -n $size ]] && echo -e "%ISIZE%\n$size\n" >>desc
# compute checksums
msg2 "$(gettext "Computing md5 checksums...")"
echo -e "%MD5SUM%\n$md5sum\n" >>desc
- [ -n "$url" ] && echo -e "%URL%\n$url\n" >>desc
+ [[ -n $url ]] && echo -e "%URL%\n$url\n" >>desc
write_list_entry "LICENSE" "$_licenses" "desc"
- [ -n "$arch" ] && echo -e "%ARCH%\n$arch\n" >>desc
- [ -n "$builddate" ] && echo -e "%BUILDDATE%\n$builddate\n" >>desc
- [ -n "$packager" ] && echo -e "%PACKAGER%\n$packager\n" >>desc
+ [[ -n $arch ]] && echo -e "%ARCH%\n$arch\n" >>desc
+ [[ -n $builddate ]] && echo -e "%BUILDDATE%\n$builddate\n" >>desc
+ [[ -n $packager ]] && echo -e "%PACKAGER%\n$packager\n" >>desc
write_list_entry "REPLACES" "$_replaces" "desc"
- [ -n "$force" ] && echo -e "%FORCE%\n" >>desc
+ [[ -n $force ]] && echo -e "%FORCE%\n" >>desc
# create depends entry
msg2 "$(gettext "Creating 'depends' db entry...")"
@@ -283,9 +283,9 @@ db_remove_entry() {
local pkgname=$1
local notfound=1
local pkgentry=$(find_pkgentry $pkgname)
- while [ -n "$pkgentry" ]; do
+ while [[ -n $pkgentry ]]; do
notfound=0
- if [ -f "$pkgentry/deltas" ]; then
+ if [[ -f $pkgentry/deltas ]]; then
mv "$pkgentry/deltas" "$tmpdir/$pkgname.deltas"
fi
msg2 "$(gettext "Removing existing entry '%s'...")" \
@@ -303,16 +303,16 @@ check_repo_db()
CLEAN_LOCK=1
else
error "$(gettext "Failed to acquire lockfile: %s.")" "$LOCKFILE"
- [ -f "$LOCKFILE" ] && error "$(gettext "Held by process %s")" "$(cat $LOCKFILE)"
+ [[ -f $LOCKFILE ]] && error "$(gettext "Held by process %s")" "$(cat $LOCKFILE)"
exit 1
fi
- if [ -f "$REPO_DB_FILE" ]; then
+ if [[ -f $REPO_DB_FILE ]]; then
# there are two situations we can have here- a DB with some entries,
# or a DB with no contents at all.
if ! bsdtar -tqf "$REPO_DB_FILE" '*/desc' >/dev/null 2>&1; then
# check empty case
- if [ -n "$(bsdtar -tqf "$REPO_DB_FILE" '*' 2>/dev/null)" ]; then
+ if [[ -n $(bsdtar -tqf "$REPO_DB_FILE" '*' 2>/dev/null) ]]; then
error "$(gettext "Repository file '%s' is not a proper pacman database.")" "$REPO_DB_FILE"
exit 1
fi
@@ -339,15 +339,15 @@ check_repo_db()
add()
{
- if [ ! -f "$1" ]; then
+ if [[ ! -f $1 ]]; then
error "$(gettext "File '%s' not found.")" "$1"
return 1
fi
- if [ "${1##*.}" == "delta" ]; then
+ if [[ ${1##*.} == "delta" ]]; then
deltafile=$1
msg "$(gettext "Adding delta '%s'")" "$deltafile"
- if [ ! "$(type -p xdelta3)" ]; then
+ if ! type xdelta3 &>/dev/null; then
error "$(gettext "Cannot find the xdelta3 binary! Is xdelta3 installed?")"
exit 1
fi
@@ -371,7 +371,7 @@ add()
remove()
{
- if [ "${1##*.}" == "delta" ]; then
+ if [[ ${1##*.} == "delta" ]]; then
deltafile=$1
msg "$(gettext "Searching for delta '%s'...")" "$deltafile"
if db_remove_delta "$deltafile"; then
@@ -405,8 +405,8 @@ clean_up() {
local exit_code=$?
cd "$startdir"
- [ -d "$tmpdir" ] && rm -rf "$tmpdir"
- [ $CLEAN_LOCK -eq 1 -a -f "$LOCKFILE" ] && rm -f "$LOCKFILE"
+ [[ -d $tmpdir ]] && rm -rf "$tmpdir"
+ (( CLEAN_LOCK )) && [[ -f $LOCKFILE ]] && rm -f "$LOCKFILE"
exit $exit_code
}
@@ -414,7 +414,7 @@ clean_up() {
# PROGRAM START
# determine whether we have gettext; make it a no-op if we do not
-if [ ! $(type -t gettext) ]; then
+if ! type gettext &>/dev/null; then
gettext() {
echo "$@"
}
@@ -427,7 +427,7 @@ esac
# figure out what program we are
cmd="$(basename $0)"
-if [ "$cmd" != "repo-add" -a "$cmd" != "repo-remove" ]; then
+if [[ $cmd != "repo-add" && $cmd != "repo-remove" ]]; then
error "$(gettext "Invalid command name '%s' specified.")" "$cmd"
exit 1
fi
@@ -447,7 +447,7 @@ for arg in "$@"; do
case "$arg" in
-q|--quiet) QUIET=1;;
*)
- if [ -z "$REPO_DB_FILE" ]; then
+ if [[ -z $REPO_DB_FILE ]]; then
REPO_DB_FILE="$arg"
LOCKFILE="$REPO_DB_FILE.lck"
check_repo_db
@@ -462,7 +462,7 @@ for arg in "$@"; do
done
# if at least one operation was a success, re-zip database
-if [ $success -eq 1 ]; then
+if (( success )); then
msg "$(gettext "Creating updated database file '%s'")" "$REPO_DB_FILE"
case "$REPO_DB_FILE" in
@@ -476,7 +476,7 @@ if [ $success -eq 1 ]; then
filename=$(basename "$REPO_DB_FILE")
cd "$tmpdir"
- if [ -n "$(ls)" ]; then
+ if [[ -n $(ls) ]]; then
bsdtar -c${TAR_OPT}f "$filename" *
else
# we have no packages remaining? zip up some emptyness
@@ -485,8 +485,8 @@ if [ $success -eq 1 ]; then
fi
cd "$startdir"
- [ -f "$REPO_DB_FILE" ] && mv -f "$REPO_DB_FILE" "${REPO_DB_FILE}.old"
- [ -f "$tmpdir/$filename" ] && mv "$tmpdir/$filename" "$REPO_DB_FILE"
+ [[ -f $REPO_DB_FILE ]] && mv -f "$REPO_DB_FILE" "${REPO_DB_FILE}.old"
+ [[ -f $tmpdir/$filename ]] && mv "$tmpdir/$filename" "$REPO_DB_FILE"
else
msg "$(gettext "No packages modified, nothing to do.")"
exit 1
--
1.6.5.2
5
27